Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter01/changelog.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -47,4 +47,21 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Add an unprivileged user, tester, at the 
+          beginning of Chapter 6 for running some tests.  This
+          user is then removed at the end of the chapter.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zstd-1.4.5. Fixes
+          <ulink url="&lfs-ticket-root;4660">#4660</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.35.2. Fixes
+          <ulink url="&lfs-ticket-root;4659">#4659</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.6.2. Fixes
+          <ulink url="&lfs-ticket-root;4657">#4657</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Update to linux-5.6.15. Fixes
           <ulink url="&lfs-ticket-root;4658">#4658</ulink>.</para>
@@ -67,6 +84,6 @@
         <listitem>
           <para>[pierre] - Bash: do not use "su -c command" to change user
-	  to nobody: it removes the controlling terminal and makes some
-	  tests fail. Use "su &lt;&lt; EOF" instead.</para>
+          to nobody: it removes the controlling terminal and makes some
+          tests fail. Use "su &lt;&lt; EOF" instead.</para>
         </listitem>
         <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter01/whatsnew.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -243,7 +243,7 @@
       <para>Tzdata-&tzdata-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Util-Linux-&util-linux-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Vim-&vim-version;</para>
@@ -258,7 +258,7 @@
       <para>Zlib-&zlib-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Zstd-&zstd-version;</para>
-    </listitem>-->
+    </listitem>
   </itemizedlist>
 
Index: chapter06/bash.xml
===================================================================
--- chapter06/bash.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter06/bash.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -74,21 +74,19 @@
     package</quote> if not running the test suite.</para>
 
-    <para>To prepare the tests, ensure that the <systemitem class="username">nobody</systemitem> user can write to the sources tree:</para>
+    <para>To prepare the tests, ensure that the <systemitem class="username">tester</systemitem> user can write to the sources tree:</para>
 
-<screen><userinput remap="test">chown -Rv nobody .</userinput></screen>
+<screen><userinput remap="test">chown -Rv tester .</userinput></screen>
 
     <para>Now, run the tests as the <systemitem
-    class="username">nobody</systemitem> user:</para>
+    class="username">tester</systemitem> user:</para>
 
-<screen><userinput remap="test">su nobody -s /bin/bash &lt;&lt; EOF
-PATH=$PATH HOME=/home make tests
-EOF</userinput></screen>
-
+<screen><userinput remap="test">su tester -c "PATH=$PATH make tests"</userinput></screen>
+<!--
     <para>The <command>su</command> command above is slightly different from
     other places in the book. The
     reason is that the <option>-c</option> option runs the command without
     a controlling terminal, while the bash test suite needs one.</para>
-
-    <para>Nevertheless, the <systemitem class="username">nobody</systemitem>
+-->
+    <para>The <systemitem class="username">tester</systemitem>
     user does not have enough permissions for all the tests to pass. This shows
     up in some <quote>diff</quote> output in four test results.</para>
Index: chapter06/coreutils.xml
===================================================================
--- chapter06/coreutils.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter06/coreutils.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -109,23 +109,23 @@
     meant to be run as user <systemitem class="username">root</systemitem>:</para>
 
-<screen><userinput remap="test">make NON_ROOT_USERNAME=nobody check-root</userinput></screen>
+<screen><userinput remap="test">make NON_ROOT_USERNAME=tester check-root</userinput></screen>
 
     <para>We're going to run the remainder of the tests as the
-    <systemitem class="username">nobody</systemitem> user. Certain tests,
+    <systemitem class="username">tester</systemitem> user. Certain tests,
     however, require that the user be a member of more than one group. So that
     these tests are not skipped we'll add a temporary group and make the
-    user <systemitem class="username">nobody</systemitem> a part of it:</para>
-
-<screen><userinput remap="test">echo "dummy:x:1000:nobody" &gt;&gt; /etc/group</userinput></screen>
+    user <systemitem class="username">tester</systemitem> a part of it:</para>
+
+<screen><userinput remap="test">echo "tester:x:1000:nogroup" &gt;&gt; /etc/group</userinput></screen>
 
     <para>Fix some of the permissions so that the non-root user can compile and
     run the tests:</para>
 
-<screen><userinput remap="test">chown -Rv nobody . </userinput></screen>
+<screen><userinput remap="test">chown -Rv tester . </userinput></screen>
 
     <para>Now run the tests. Make sure the PATH in the <userinput>su</userinput>
     environment includes /tools/bin.</para>
 
-<screen><userinput remap="test">su nobody -s /bin/bash -c "PATH=$PATH make RUN_EXPENSIVE_TESTS=yes check"</userinput></screen>
+<screen><userinput remap="test">su tester -c "PATH=$PATH make RUN_EXPENSIVE_TESTS=yes check"</userinput></screen>
 <!--
     <para>The test program test-getlogin is known to fail in a
@@ -133,9 +133,9 @@
     passes if run at the end of this chapter.  The test program tty.sh is
     also known to fail.</para>
+
+    <para>Remove the temporary group:</para>
+
+<screen><userinput remap="test">sed -i '/dummy/d' /etc/group</userinput></screen>
 -->
-    <para>Remove the temporary group:</para>
-
-<screen><userinput remap="test">sed -i '/dummy/d' /etc/group</userinput></screen>
-
     <para>Install the package:</para>
 
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter06/createfiles.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -343,4 +343,10 @@
   rather use the group's name.</para>
 
+  <para>Some tests later in the chapter need a regular user. We add this
+  user here and delete this account at the end of the chapter.</para>
+
+<screen><userinput>echo "tester:x:101:101::/tmp:/bin/bash" &gt;&gt; /etc/passwd
+echo "tester:x:101:dummy" &gt;&gt; /etc/group</userinput></screen>
+
   <para>To remove the <quote>I have no name!</quote> prompt, start a new
   shell. Since a full Glibc was installed in <xref
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter06/gcc.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -116,6 +116,6 @@
     <para>Test the results as a non-privileged user, but do not stop at errors:</para>
 
-<screen><userinput remap="test">chown -Rv nobody . 
-su nobody -s /bin/bash -c "PATH=$PATH make -k check"</userinput></screen>
+<screen><userinput remap="test">chown -Rv tester . 
+su tester -c "PATH=$PATH make -k check"</userinput></screen>
 
     <para>To receive a summary of the test suite results, run:</para>
@@ -157,5 +157,5 @@
 
     <para>The GCC build directory is owned by <systemitem class="username">
-    nobody</systemitem> now and the ownership of the installed header
+    tester</systemitem> now and the ownership of the installed header
     directory (and its content) will be incorrect.  Change the ownership to
     <systemitem class="username">root</systemitem> user and group:</para>
Index: chapter06/revisedchroot.xml
===================================================================
--- chapter06/revisedchroot.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter06/revisedchroot.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -71,3 +71,7 @@
    Archive (.la) files"</ulink>.</para>
 
+   <para>Finally, remove the temporary 'tester' usr account created at the 
+   beginning of this chapter.</para>
+
+<screen><userinput>sed -i '/tester/d' /etc/passwd /etc/group</userinput></screen>
 </sect1>
Index: chapter06/util-linux.xml
===================================================================
--- chapter06/util-linux.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter06/util-linux.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -116,6 +116,6 @@
     </warning>
 
-<screen><userinput remap="test">chown -Rv nobody .
-su nobody -s /bin/bash -c "PATH=$PATH make -k check"</userinput></screen>
+<screen><userinput remap="test">chown -Rv tester .
+su tester -c "make -k check"</userinput></screen>
 
     <para>Install the package:</para>
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ chapter06/vim.xml	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -68,13 +68,13 @@
 
     <para>To prepare the tests, ensure that the 
-    <systemitem class="username">nobody</systemitem> user can write 
+    <systemitem class="username">tester</systemitem> user can write 
     to the sources tree:</para>
 
-<screen><userinput remap="test">chown -Rv nobody .</userinput></screen>
+<screen><userinput remap="test">chown -Rv tester .</userinput></screen>
 
     <para>Now run the tests as the <systemitem
-    class="username">nobody</systemitem> user:</para>
-
-<screen><userinput remap="test">su nobody -s /bin/bash -c "LANG=en_US.UTF-8 make -j1 test" &amp;> vim-test.log</userinput></screen>
+    class="username">tester</systemitem> user:</para>
+
+<screen><userinput remap="test">su tester -c "LANG=en_US.UTF-8 make -j1 test" &amp;> vim-test.log</userinput></screen>
 
 <!--<screen><userinput remap="test">LANG=en_US.UTF-8 make -j1 test &amp;&gt; vim-test.log</userinput></screen>-->
Index: packages.ent
===================================================================
--- packages.ent	(revision 51c960dfdf415e0a793d99ccc6e5e80f41649504)
+++ packages.ent	(revision 7406bece6f21f8edefd3b78480ba30cc704fb233)
@@ -71,8 +71,8 @@
 <!ENTITY binutils-ch6-sbu "6.7 SBU">
 
-<!ENTITY bison-version "3.6.1">
-<!ENTITY bison-size "2,407 KB">
+<!ENTITY bison-version "3.6.2">
+<!ENTITY bison-size "2,411 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "16fa3e60f2c33888c6ef7af64c89e182">
+<!ENTITY bison-md5 "fa5f7c67c523f1d8b2155f55e67f7e1c">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-ch5-du "43 MB">
@@ -429,5 +429,5 @@
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "109,192 KB">
+<!ENTITY linux-size "109,193 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
 <!ENTITY linux-md5 "41f02b34dbb66ffa6b71bb3e2361e94d">
@@ -691,8 +691,8 @@
 
 <!ENTITY util-linux-minor "2.35">
-<!ENTITY util-linux-version "2.35.1"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "5,018 KB">
+<!ENTITY util-linux-version "2.35.2"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "5,030 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "7f64882f631225f0295ca05080cee1bf">
+<!ENTITY util-linux-md5 "248a4d0810c9193e0e9a4bb3f26b93d8">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
 <!ENTITY util-linux-ch5-du "154 MB">
@@ -738,8 +738,8 @@
 <!ENTITY zlib-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY zstd-version "1.4.4">
-<!ENTITY zstd-size "1,903 KB">
+<!ENTITY zstd-version "1.4.5">
+<!ENTITY zstd-size "1,928 KB">
 <!ENTITY zstd-url "https://github.com/facebook/zstd/releases/download/v&zstd-version;/zstd-&zstd-version;.tar.gz">
-<!ENTITY zstd-md5 "487f7ee1562dee7c1c8adf85e2a63df9">
+<!ENTITY zstd-md5 "dd0b53631303b8f972dafa6fd34beb0c">
 <!ENTITY zstd-home "https://facebook.github.io/zstd/">
 <!ENTITY zstd-ch6-du "16 MB">