Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 9901037e429b57893039386fd417ac30b0e579f0)
+++ chapter01/changelog.xml	(revision 7733d3593317b43d9a3af1a4eb7196d3902b2ba7)
@@ -45,4 +45,34 @@
 
     <listitem>
+      <para>2018-05-22</para>
+      <itemizedlist>
+        <listitem>
+           <para>[bdubbs] - Update several urls to https.  Fixes 
+           <ulink url="&lfs-ticket-root;4274">#4274</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to procps-ng-3.3.15.  Fixes 
+           <ulink url="&lfs-ticket-root;4279">#4279</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to vim-8,1.  Fixes 
+           <ulink url="&lfs-ticket-root;4278">#4278</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to meson-0.46.1.  Fixes 
+           <ulink url="&lfs-ticket-root;4277">#4277</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to e2fsprogs-1.44.2.  Fixes 
+           <ulink url="&lfs-ticket-root;4275">#4275</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to linux-4.16.10.  Fixes 
+           <ulink url="&lfs-ticket-root;4276">#4276</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-05-11</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 9901037e429b57893039386fd417ac30b0e579f0)
+++ chapter01/whatsnew.xml	(revision 7733d3593317b43d9a3af1a4eb7196d3902b2ba7)
@@ -240,7 +240,7 @@
       <para>Util-Linux-&util-linux-version;</para>
    </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision 9901037e429b57893039386fd417ac30b0e579f0)
+++ chapter06/vim.xml	(revision 7733d3593317b43d9a3af1a4eb7196d3902b2ba7)
@@ -55,8 +55,8 @@
 <screen><userinput remap="pre">echo '#define SYS_VIMRC_FILE "/etc/vimrc"' &gt;&gt; src/feature.h</userinput></screen>
 
-    <para>Disable a test that fails:</para>
+<!--    <para>Disable a test that fails:</para>
 
 <screen><userinput remap="pre">sed -i '/call/{s/split/xsplit/;s/303/492/}' src/testdir/test_recover.vim</userinput></screen>
-
+-->
     <para>Prepare Vim for compilation:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision 9901037e429b57893039386fd417ac30b0e579f0)
+++ general.ent	(revision 7733d3593317b43d9a3af1a4eb7196d3902b2ba7)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180511">
+<!ENTITY version         "SVN-20180522">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180511-systemd">
+<!ENTITY versiond        "20180522-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "May 11, 2018">
+<!ENTITY releasedate     "May 22, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
@@ -49,4 +49,6 @@
 <!ENTITY sourceforge     "https://prdownloads.sourceforge.net/">
 <!ENTITY savannah        "http://download.savannah.gnu.org">
+<!ENTITY savannah-nongnu "https://savannah.nongnu.org">
+<!ENTITY github          "https://github.com">
 
 <!ENTITY % packages-entities SYSTEM "packages.ent">
Index: packages.ent
===================================================================
--- packages.ent	(revision 9901037e429b57893039386fd417ac30b0e579f0)
+++ packages.ent	(revision 7733d3593317b43d9a3af1a4eb7196d3902b2ba7)
@@ -19,5 +19,5 @@
 <!ENTITY attr-url "&savannah;/releases/attr/attr-&attr-version;.src.tar.gz">
 <!ENTITY attr-md5 "84f58dec00b60f2dc8fd1c9709291cc7">
-<!ENTITY attr-home "http://savannah.nongnu.org/projects/attr">
+<!ENTITY attr-home "&savannah-nongnu;/projects/attr">
 <!ENTITY attr-ch6-du "3.3 MB">
 <!ENTITY attr-ch6-sbu "less than 0.1 SBU">
@@ -93,5 +93,5 @@
 <!ENTITY check-version "0.12.0">
 <!ENTITY check-size "747 KB">
-<!ENTITY check-url "https://github.com/libcheck/check/releases/download/&check-version;/check-&check-version;.tar.gz">
+<!ENTITY check-url "&github;/libcheck/check/releases/download/&check-version;/check-&check-version;.tar.gz">
 <!ENTITY check-md5 "31b17c6075820a434119592941186f70">
 <!ENTITY check-home "https://libcheck.github.io/check">
@@ -138,8 +138,8 @@
      of acceptable features that can be shown by debugfs in
      chapter02/creatingfilesystem.xml -->
-<!ENTITY e2fsprogs-version "1.44.1">
-<!ENTITY e2fsprogs-size "7,369 KB">
+<!ENTITY e2fsprogs-version "1.44.2">
+<!ENTITY e2fsprogs-size "7,386 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "d6079b031682fa947ea0f96013379155">
+<!ENTITY e2fsprogs-md5 "97b1c3603e5465667317775cf020e1a9">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "58 MB">
@@ -165,5 +165,5 @@
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.bz2">
 <!ENTITY expat-md5 "789e297f547980fc9ecc036f9a070d49">
-<!ENTITY expat-home "http://expat.sourceforge.net/">
+<!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-ch6-du "11 MB">
 <!ENTITY expat-ch6-sbu "0.1 SBU">
@@ -174,5 +174,5 @@
 <!ENTITY expect-url "&sourceforge;expect/expect&expect-version;.tar.gz">
 <!ENTITY expect-md5 "00fce8de158422f5ccd2666512329bd2">
-<!ENTITY expect-home "http://expect.sourceforge.net/">
+<!ENTITY expect-home "https://core.tcl.tk/expect/">
 <!ENTITY expect-ch5-du "3.9 MB">
 <!ENTITY expect-ch5-sbu "0.1 SBU">
@@ -182,5 +182,5 @@
 <!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
 <!ENTITY file-md5 "bbe6db96e3a9ca9554dce647390540ef">
-<!ENTITY file-home "http://www.darwinsys.com/file/">
+<!ENTITY file-home "https://www.darwinsys.com/file/">
 <!ENTITY file-ch5-du "16 MB">
 <!ENTITY file-ch5-sbu "0.1 SBU">
@@ -200,7 +200,7 @@
 <!ENTITY flex-version "2.6.4">
 <!ENTITY flex-size "1,386 KB">
-<!ENTITY flex-url "https://github.com/westes/flex/releases/download/v&flex-version;/flex-&flex-version;.tar.gz">
+<!ENTITY flex-url "&github;/westes/flex/releases/download/v&flex-version;/flex-&flex-version;.tar.gz">
 <!ENTITY flex-md5 "2882e3179748cc9f9c23ec593d6adc8d">
-<!ENTITY flex-home "http://flex.sourceforge.net">
+<!ENTITY flex-home "&github;westes/flex">
 <!ENTITY flex-ch6-du "33 MB">
 <!ENTITY flex-ch6-sbu "0.4 SBU">
@@ -220,5 +220,5 @@
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
 <!ENTITY gcc-md5 "65f7c65818dc540b3437605026d329fc">
-<!ENTITY gcc-home "http://gcc.gnu.org/">
+<!ENTITY gcc-home "https://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "2.2 GB">
 <!ENTITY gcc-ch5p1-sbu "8.8 SBU">
@@ -339,5 +339,5 @@
 <!ENTITY intltool-url "https://launchpad.net/intltool/trunk/&intltool-version;/+download/intltool-&intltool-version;.tar.gz">
 <!ENTITY intltool-md5 "12e517cac2b57a0121cda351570f1e63">
-<!ENTITY intltool-home "http://freedesktop.org/wiki/Software/intltool">
+<!ENTITY intltool-home "https://freedesktop.org/wiki/Software/intltool">
 <!ENTITY intltool-ch6-du "1.5 MB">
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
@@ -417,10 +417,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "16">
-<!ENTITY linux-patch-version "8">
+<!ENTITY linux-patch-version "10">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;"> 
-<!ENTITY linux-size "100,617 KB">
+<!ENTITY linux-size "100,618 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "79c176de5ee34417a3921430d56b0e01">
+<!ENTITY linux-md5 "10fb5e17709a7cc345bf0ab673b99d7c">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -459,5 +459,5 @@
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
 <!ENTITY man-db-md5 "6f3055e18fdd1ce5cbbdb30403991ec7">
-<!ENTITY man-db-home "http://www.nongnu.org/man-db/">
+<!ENTITY man-db-home "https://www.nongnu.org/man-db/">
 <!ENTITY man-db-ch6-du "31 MB">
 <!ENTITY man-db-ch6-sbu "0.4 SBU">
@@ -471,9 +471,9 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.46.0">
-<!ENTITY meson-size "1,171 KB">
-<!ENTITY meson-url "https://github.com/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "e3301606017e364a0d7e1c3b755e7a28">
-<!ENTITY meson-home "http://mesonbuild.com">
+<!ENTITY meson-version "0.46.1">
+<!ENTITY meson-size "1,176 KB">
+<!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
+<!ENTITY meson-md5 "1698f6526574839de5dcdc45e3f7d582">
+<!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "16 MB">
 <!ENTITY meson-ch6-sbu "0.1 SBU">
@@ -507,5 +507,5 @@
 <!ENTITY ninja-version "1.8.2">
 <!ENTITY ninja-size "181 KB">
-<!ENTITY ninja-url "https://github.com/ninja-build/ninja/archive/v&ninja-version;/ninja-&ninja-version;.tar.gz">
+<!ENTITY ninja-url "&github;/ninja-build/ninja/archive/v&ninja-version;/ninja-&ninja-version;.tar.gz">
 <!ENTITY ninja-md5 "5fdb04461cc7f5d02536b3bfc0300166">
 <!ENTITY ninja-home "https://ninja-build.org/">
@@ -525,5 +525,5 @@
 <!ENTITY patch-url "&gnu;patch/patch-&patch-version;.tar.xz">
 <!ENTITY patch-md5 "78ad9937e4caadcba1526ef1853730d5">
-<!ENTITY patch-home "http://savannah.gnu.org/projects/patch/">
+<!ENTITY patch-home "https://savannah.gnu.org/projects/patch/">
 <!ENTITY patch-ch5-du "12 MB">
 <!ENTITY patch-ch5-sbu "0.2 SBU">
@@ -535,5 +535,5 @@
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
 <!ENTITY perl-md5 "1fa1b53eeff76aa37b17bfc9b2771671">
-<!ENTITY perl-home "http://www.perl.org/">
+<!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-ch5-du "261 MB">
 <!ENTITY perl-ch5-sbu "1.3 SBU">
@@ -545,12 +545,12 @@
 <!ENTITY pkgconfig-url "https://pkg-config.freedesktop.org/releases/pkg-config-&pkgconfig-version;.tar.gz">
 <!ENTITY pkgconfig-md5 "f6e931e319531b736fadc017f470e68a">
-<!ENTITY pkgconfig-home "http://www.freedesktop.org/wiki/Software/pkg-config">
+<!ENTITY pkgconfig-home "https://www.freedesktop.org/wiki/Software/pkg-config">
 <!ENTITY pkgconfig-ch6-du "28 MB">
 <!ENTITY pkgconfig-ch6-sbu "0.3 SBU">
 
-<!ENTITY procps-ng-version "3.3.14">
-<!ENTITY procps-ng-size "906 KB">
+<!ENTITY procps-ng-version "3.3.15">
+<!ENTITY procps-ng-size "884 KB">
 <!ENTITY procps-ng-url "https://sourceforge.net/projects/procps-ng/files/Production/procps-ng-&procps-ng-version;.tar.xz">
-<!ENTITY procps-ng-md5 "fce371ccc1c15a67af9d85e4057e559d">
+<!ENTITY procps-ng-md5 "2b0717a7cb474b3d6dfdeedfbad2eccc">
 <!ENTITY procps-ng-home "https://sourceforge.net/projects/procps-ng">
 <!ENTITY procps-ng-ch6-du "15 MB">
@@ -599,7 +599,7 @@
 <!ENTITY shadow-version "4.6">
 <!ENTITY shadow-size "1,639 KB">
-<!ENTITY shadow-url "https://github.com/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
+<!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
 <!ENTITY shadow-md5 "b491fecbf1232632c32ff8f1437fd60e">
-<!ENTITY shadow-home "http://pkg-shadow.alioth.debian.org/"> 
+<!ENTITY shadow-home "https://pkg-shadow.alioth.debian.org/"> 
 <!ENTITY shadow-ch6-du "43 MB">
 <!ENTITY shadow-ch6-sbu "0.2 SBU">
@@ -615,9 +615,9 @@
 <!ENTITY systemd-version  "238">
 <!ENTITY systemd-size     "6,792 KB">
-<!ENTITY systemd-url      "https://github.com/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
+<!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
 <!ENTITY systemd-md5      "76db8004647283b779234364cd637d3c">
-<!ENTITY systemd-home     "http://www.freedesktop.org/wiki/Software/systemd/">
+<!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
 <!ENTITY systemd-man-size "337 KB">
-<!ENTITY systemd-man-url  "http://anduin.linuxfromscratch.org/LFS/systemd-man-pages-&systemd-version;.tar.xz">
+<!ENTITY systemd-man-url  "&anduin-sources;/LFS/systemd-man-pages-&systemd-version;.tar.xz">
 <!ENTITY systemd-man-md5  "2e3f795bc0818e161c03b8cae9c99e80">
 <!ENTITY systemd-ch6-du   "297 MB">
@@ -684,11 +684,11 @@
 <!ENTITY util-linux-ch6-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.0.586">
-<!ENTITY vim-majmin "80">
-<!ENTITY vim-docdir "vim/vim80">
-<!ENTITY vim-size "10,613 KB">
+<!ENTITY vim-version "8.1">
+<!ENTITY vim-majmin "81">
+<!ENTITY vim-docdir "vim/vim81">
+<!ENTITY vim-size "10,995 KB">
 <!ENTITY vim-url "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
-<!ENTITY vim-md5 "b35e794140c196ff59b492b56c1e73db">
-<!ENTITY vim-home "http://www.vim.org">
+<!ENTITY vim-md5 "1739a1df312305155285f0cfa6118294">
+<!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-ch6-du "128 MB">
 <!ENTITY vim-ch6-sbu "1.5 SBU">
@@ -698,5 +698,5 @@
 <!ENTITY xml-parser-url "https://cpan.metacpan.org/authors/id/T/TO/TODDR/XML-Parser-&xml-parser-version;.tar.gz">
 <!ENTITY xml-parser-md5 "af4813fe3952362451201ced6fbce379">
-<!ENTITY xml-parser-home "https://github.com/chorny/XML-Parser">
+<!ENTITY xml-parser-home "&github;/chorny/XML-Parser">
 <!ENTITY xml-parser-ch6-du "2.1 MB">
 <!ENTITY xml-parser-ch6-sbu "less than 0.1 SBU">
@@ -716,5 +716,5 @@
 <!ENTITY zlib-url "https://zlib.net/zlib-&zlib-version;.tar.xz">
 <!ENTITY zlib-md5 "85adef240c5f370b308da8c938951a68">
-<!ENTITY zlib-home "http://www.zlib.net/">
+<!ENTITY zlib-home "https://www.zlib.net/">
 <!ENTITY zlib-ch6-du "4.5 MB">
 <!ENTITY zlib-ch6-sbu "less than 0.1 SBU">