Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 6cad4497599ac65e6f03e7a24325063943a77a73)
+++ chapter01/whatsnew.xml	(revision 7756de365c28daa06887016b8ee0a151aac6706a)
@@ -40,19 +40,19 @@
       <para>Autoconf-&autoconf-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Automake-&automake-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Bash &bash-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Bc &bc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Binutils-&binutils-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Bison-&bison-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Bzip2-&bzip2-version;</para>
@@ -61,7 +61,7 @@
       <para>Check-&check-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Coreutils-&coreutils-version;</para>
-    </listitem>
+    </listitem>-->
    <!--<listitem>
       <para>DejaGNU-&dejagnu-version;</para>
@@ -73,40 +73,40 @@
       <para>Diffutils-&diffutils-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
        <para>E2fsprogs-&e2fsprogs-version;</para>
-    </listitem>
-    <listitem revision="sysv">
+    </listitem>-->
+    <!--<listitem revision="sysv">
        <para>Eudev-&eudev-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
        <para>Expat-&expat-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
        <para>Expect-&expect-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
        <para>File-&file-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Findutils-&findutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Flex-&flex-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Gawk-&gawk-version;</para>
-    </listitem>
-    <!--<listitem>
+    </listitem>-->
+   <!--<listitem>
        <para>GCC-&gcc-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
        <para>GDBM-&gdbm-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gettext-&gettext-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Glibc-&glibc-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>GMP-&gmp-version;</para>
@@ -115,5 +115,5 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+   <!--<listitem>
       <para>Grep-&grep-version;</para>
     </listitem>-->
@@ -121,32 +121,32 @@
       <para>Groff-&groff-version;</para>
     </listitem>-->
-    <!--<listitem>
+   <!--<listitem>
       <para>GRUB-&grub-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Gzip-&gzip-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>IANA-Etc-&iana-etc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Inetutils-&inetutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>IPRoute2-&iproute2-version;</para>
-    </listitem>
-    <listitem revision="systemd">
+    </listitem>-->
+    <!--<listitem revision="systemd">
       <para>Jinja2-&jinja2-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Kbd-&kbd-version;</para>
     </listitem>-->
-    <!--<listitem>
+   <!--<listitem>
       <para>Kmod-&kmod-version;</para>
     </listitem>-->
-    <!--<listitem>
+   <!--<listitem>
       <para>Less-&less-version;</para>
     </listitem>-->
@@ -154,23 +154,23 @@
       <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Libcap-&libcap-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Libelf-&elfutils-version; (from elfutils)</para>
-    </listitem>
-    <!--<listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Libffi-&libffi-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Libpipeline-&libpipeline-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Libtool-&libtool-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Linux-&linux-version;</para>
-    </listitem>
-    <!--<listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>M4-&m4-version;</para>
     </listitem>-->
@@ -178,8 +178,8 @@
       <para>Make-&make-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Man-DB-&man-db-version;</para>
-    </listitem>
-    <!--<listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Man-pages-&man-pages-version;</para>
     </listitem>-->
@@ -187,7 +187,7 @@
       <para>MarkupSafe-&markupsafe-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Meson-&meson-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>MPC-&mpc-version;</para>
@@ -196,17 +196,17 @@
       <para>MPFR-&mpfr-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Ncurses-&ncurses-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Ninja-&ninja-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Openssl-&openssl-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Patch-&patch-version;</para>
     </listitem>-->
-    <!--<listitem>
+   <!--<listitem>
       <para>Perl-&perl-version;</para>
     </listitem>-->
@@ -220,43 +220,43 @@
       <para>Psmisc-&psmisc-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Python-&python-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Readline-&readline-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Sed-&sed-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Shadow-&shadow-version;</para>
-    </listitem>
-    <!--<listitem revision="sysv">
+    </listitem>-->
+   <!--<listitem revision="sysv">
       <para>Sysklogd-&sysklogd-version;</para>
     </listitem>-->
-    <listitem revision="systemd">
+   <!--<listitem revision="systemd">
       <para>Systemd-&systemd-version;</para>
-    </listitem>
-    <listitem revision="sysv">
+    </listitem>-->
+   <!--<listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Tar-&tar-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Tcl-&tcl-version;</para>
-    </listitem>
-    <!--<listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Texinfo-&texinfo-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Tzdata-&tzdata-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Util-Linux-&util-linux-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+   <!--<listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
@@ -268,7 +268,7 @@
       <para>Zlib-&zlib-version;</para>
     </listitem>-->
-    <listitem>
+   <!--<listitem>
       <para>Zstd-&zstd-version;</para>
-    </listitem>
+    </listitem>-->
   </itemizedlist>
 
@@ -285,23 +285,11 @@
     <title>Added:</title>
     <listitem><para></para></listitem>  <!-- satisfy build -->
+    <!--
     <listitem>
-       <para>binutils-2.38-lto_fix-1.patch</para>
+      <para>binutils-2.37-upstream_fix-1.patch</para>
     </listitem>
     <listitem>
-       <para>coreutils-9.0-chmod_fix-1.patch</para>
-    </listitem>
-    <listitem>
-      <para>file-5.40-upstream_fixes-1.patch</para>
-    </listitem>
-    <listitem>
-      <para>shadow-4.10-useradd_segfault-1.patch</para>
-    </listitem>
-    <listitem revision="sysv">
-      <para>sysvinit-3.01-consolidated-1.patch</para>
-    </listitem>
-    <listitem revision="systemd">
-      <para>systemd-250-upstream_fixes-1.patch</para>
-    </listitem>
-    <!--
+      <para>gcc-11.1.0-upstream_fixes-1.patch</para>
+    </listitem>
     <listitem revision="systemd">
       <para>MarkupSafe-&markupsafe-version;</para>