Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 18831b58cdf7dbf0b92440998c59683d9595c49a)
+++ chapter01/changelog.xml	(revision 7787e7e8403e6739ca9252fea93ae5e60d898c12)
@@ -40,4 +40,10 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to inetutils-1.9.2 and remove
+          referece to old BLFS page. Fixes
+          <ulink url="&lfs-ticket-root;3471">#3471</ulink> and
+          <ulink url="&lfs-ticket-root;3473">#3473</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Fix hardcoded reference to /tools in
           Chapter 6 glibc.  Fixes
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision 18831b58cdf7dbf0b92440998c59683d9595c49a)
+++ chapter06/inetutils.xml	(revision 7787e7e8403e6739ca9252fea93ae5e60d898c12)
@@ -41,7 +41,8 @@
     <title>Installation of Inetutils</title>
 
-    <para>Fix an incompatibility between this package and Glibc-&glibc-version;</para>
-
-<screen><userinput remap="pre">sed -i -e '/gets is a/d' lib/stdio.in.h</userinput></screen>
+    <para>Create a definition to allow the <command>ifconfig</command> program
+    to build properly.</para>
+
+<screen><userinput remap="pre">echo '#define PATH_PROCNET_DEV "/proc/net/dev"' &gt;&gt; ifconfig/system/linux.h </userinput></screen>
 
     <para>Prepare Inetutils for compilation:</para>
@@ -50,5 +51,4 @@
     --libexecdir=/usr/sbin \
     --localstatedir=/var   \
-    --disable-ifconfig     \
     --disable-logger       \
     --disable-syslogd      \
@@ -60,14 +60,4 @@
 
       <varlistentry>
-        <term><parameter>--disable-ifconfig</parameter></term>
-        <listitem>
-          <para>This option prevents Inetutils from installing the
-          <command>ifconfig</command> program, which can be used to configure network
-          interfaces. LFS uses <command>ip</command> from IPRoute2 to perform
-          this task.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry>
         <term><parameter>--disable-logger</parameter></term>
         <listitem>
@@ -102,6 +92,5 @@
           included as part of the Inetutils package. These servers are deemed not
           appropriate in a basic LFS system. Some are insecure by nature and are
-          only considered safe on trusted networks. More information can be found
-          at <ulink url="&blfs-root;view/svn/basicnet/inetutils.html"/>. Note that
+          only considered safe on trusted networks. Note that
           better replacements are available for many of these servers.</para>
         </listitem>
@@ -121,12 +110,10 @@
 
 <screen><userinput remap="install">make install</userinput></screen>
-<!-- The html file generation is broken as of texinfo-5.0
-make -C doc html
-make -C doc install-html docdir=/usr/share/doc/inetutils-&inetutils-version;</userinput></screen>
--->
+
     <para>Move some programs so they are available if <filename
     class='directory'>/usr</filename> is not accessible:</para>
 
-<screen><userinput remap="install">mv -v /usr/bin/{hostname,ping,ping6,traceroute} /bin</userinput></screen>
+<screen><userinput remap="install">mv -v /usr/bin/{hostname,ping,ping6,traceroute} /bin
+mv -v /usr/bin/ifconfig /sbin</userinput></screen>
 
   </sect2>
@@ -139,6 +126,6 @@
 
       <seglistitem>
-        <seg>ftp, hostname, ping, ping6, rcp, rexec, rlogin, rsh, talk, telnet,
-        tftp, and traceroute</seg>
+        <seg>ftp, ifconfig, hostname, ping, ping6, rcp, rexec, rlogin, 
+        rsh, talk, telnet, tftp, and traceroute</seg>
       </seglistitem>
     </segmentedlist>
@@ -159,4 +146,14 @@
       </varlistentry>
 
+      <varlistentry id="ifconfig">
+        <term><command>ifconfig</command></term>
+        <listitem>
+        <para>Manages network interfaces</para>
+        <indexterm zone="ch-system-inetutils ifconfig">
+          <primary sortas="b-ifconfig">ifconfig</primary>
+        </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="hostname">
         <term><command>hostname</command></term>
@@ -203,5 +200,5 @@
         <term><command>rexec</command></term>
         <listitem>
-          <para>executes commands on a remote host</para>
+          <para>Executes commands on a remote host</para>
           <indexterm zone="ch-system-inetutils rexec">
             <primary sortas="b-rexec">rexec</primary>
Index: packages.ent
===================================================================
--- packages.ent	(revision 18831b58cdf7dbf0b92440998c59683d9595c49a)
+++ packages.ent	(revision 7787e7e8403e6739ca9252fea93ae5e60d898c12)
@@ -271,8 +271,8 @@
 <!ENTITY iana-etc-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY inetutils-version "1.9.1">
-<!ENTITY inetutils-size "1,941 KB">
+<!ENTITY inetutils-version "1.9.2">
+<!ENTITY inetutils-size "2,188 KB">
 <!ENTITY inetutils-url "&gnu;inetutils/inetutils-&inetutils-version;.tar.gz">
-<!ENTITY inetutils-md5 "944f7196a2b3dba2d400e9088576000c">
+<!ENTITY inetutils-md5 "aa1a9a132259db83e66c1f3265065ba2">
 <!ENTITY inetutils-home "&gnu-software;inetutils/">
 <!ENTITY inetutils-ch6-du "27 MB">