Index: packages.ent
===================================================================
--- packages.ent	(revision 5347af84cf3644cc2e75970ef33a58c8724ead12)
+++ packages.ent	(revision 7936ffb2c8aa6a0a69cf80308d75f84053f914e3)
@@ -49,8 +49,8 @@
 <!ENTITY automake-fin-sbu "less than 0.1 SBU (about 7.7 SBU with tests)">
 
-<!ENTITY bash-version "5.2">
+<!ENTITY bash-version "5.2.9">
 <!ENTITY bash-size "10,695 KB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
-<!ENTITY bash-md5 "cfb4cf795fc239667f187b3d6b3d396f">
+<!ENTITY bash-md5 "0d8a4e4fe2d31ed5c304316bd9fcb337">
 <!ENTITY bash-home "&gnu-software;bash/">
 <!ENTITY bash-tmp-du "64 MB">
@@ -59,8 +59,8 @@
 <!ENTITY bash-fin-sbu "1.4 SBU">
 
-<!ENTITY bc-version "6.0.4">
-<!ENTITY bc-size "442 KB">
+<!ENTITY bc-version "6.1.1">
+<!ENTITY bc-size "445 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "1e1c90de1a11f3499237425de1673ef1">
+<!ENTITY bc-md5 "9a7ffa015c499272e7d41b4c0f28e691">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "7.4 MB">
@@ -149,8 +149,8 @@
 <!ENTITY e2fsprogs-fin-sbu "4.4 SBU on a spinning disk, 1.2 SBU on an SSD">
 
-<!ENTITY elfutils-version "0.187"> <!-- libelf -->
-<!ENTITY elfutils-size "9,024 KB">
+<!ENTITY elfutils-version "0.188"> <!-- libelf -->
+<!ENTITY elfutils-size "8,900 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "cc04f07b53a71616b22553c0a458cf4b">
+<!ENTITY elfutils-md5 "efb25a91873b2eec4df9f31e6a4f4e5c">
 <!ENTITY elfutils-home "https://sourceware.org/elfutils/">
 <!ENTITY elfutils-fin-du "117 MB">
@@ -425,10 +425,10 @@
 <!ENTITY linux-major-version "6">
 <!ENTITY linux-minor-version "0">
-<!ENTITY linux-patch-version "6">
+<!ENTITY linux-patch-version "7">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "130,766 KB">
+<!ENTITY linux-size "130,748 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4e01a82c673ea0fb85f751672f99dc96">
+<!ENTITY linux-md5 "690e3de421b693bf111ec74a97476ea7">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -488,8 +488,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.63.3">
-<!ENTITY meson-size "2,020 KB">
+<!ENTITY meson-version "0.64.0">
+<!ENTITY meson-size "2,042 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "b2f2757b5dd84cc754b9df53ce37a175">
+<!ENTITY meson-md5 "63a3d83206e7e277fce4b90e8ad8003a">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "38 MB">
@@ -612,8 +612,8 @@
 <!ENTITY readline-fin-sbu "0.1 SBU">
 
-<!ENTITY sed-version "4.8">
-<!ENTITY sed-size "1,317 KB">
+<!ENTITY sed-version "4.9">
+<!ENTITY sed-size "1,365 KB">
 <!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.xz">
-<!ENTITY sed-md5 "6d906edfdb3202304059233f51f9a71d">
+<!ENTITY sed-md5 "6aac9b2dbafcd5b7a67a8a9bcb8036c3">
 <!ENTITY sed-home "&gnu-software;sed/">
 <!ENTITY sed-tmp-du "20 MB">
@@ -622,8 +622,8 @@
 <!ENTITY sed-fin-sbu "0.4 SBU">
 
-<!ENTITY shadow-version "4.12.3">
-<!ENTITY shadow-size "1,707 KB">
+<!ENTITY shadow-version "4.13">
+<!ENTITY shadow-size "1,722 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "710bcc89c39683609aacfef9f08bd854">
+<!ENTITY shadow-md5 "b1ab01b5462ddcf43588374d57bec123">
 <!ENTITY shadow-home "https://shadow-maint.github.io/shadow/">
 <!ENTITY shadow-fin-du "46 MB">
@@ -655,8 +655,8 @@
 <!ENTITY systemd-fin-sbu  "2.5 SBU">
 
-<!ENTITY sysvinit-version "3.04">
-<!ENTITY sysvinit-size "216 KB">
-<!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.xz">
-<!ENTITY sysvinit-md5 "9a00e5f15dd2f038f10feee50677ebff">
+<!ENTITY sysvinit-version "3.05">
+<!ENTITY sysvinit-size "229 KB">
+<!ENTITY sysvinit-url "&github;/slicer69/sysvinit/releases/download/&sysvinit-version;/sysvinit-&sysvinit-version;.tar.xz">
+<!ENTITY sysvinit-md5 "57577060e5f21fd9899fa601aa45b064">
 <!ENTITY sysvinit-home "&savannah-nongnu;/projects/sysvinit">
 <!ENTITY sysvinit-fin-du "2.7 MB">
@@ -685,8 +685,8 @@
 <!ENTITY tcl-tmp-sbu "3.2 SBU">
 
-<!ENTITY texinfo-version "6.8">
-<!ENTITY texinfo-size "4,848 KB">
+<!ENTITY texinfo-version "7.0">
+<!ENTITY texinfo-size "4,786 KB">
 <!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.xz">
-<!ENTITY texinfo-md5 "a91b404e30561a5df803e6eb3a53be71">
+<!ENTITY texinfo-md5 "c9bda68c809e3afe67f1fbcd7c3d9fd3">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
 <!ENTITY texinfo-tmp-du "113 MB">
@@ -729,8 +729,8 @@
 <!ENTITY vim-fin-sbu "2.5 SBU">
 
-<!ENTITY wheel-version "0.37.1">
-<!ENTITY wheel-size "65 KB">
+<!ENTITY wheel-version "0.38.4">
+<!ENTITY wheel-size "66 KB">
 <!ENTITY wheel-url "&pypi-src;/w/wheel/wheel-&wheel-version;.tar.gz">
-<!ENTITY wheel-md5 "f490f1399e5903706cb1d4fbed9ecb28">
+<!ENTITY wheel-md5 "83bb4e7bd4d687d398733f341a64ab91">
 <!ENTITY wheel-home "&pypi-home;/wheel/">
 <!ENTITY wheel-fin-du "956 KB">