Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ appendices/dependencies.xml	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -1078,5 +1078,5 @@
 
         <seglistitem>
-          <seg>Pcre, Xorg, and CUPS</seg>
+          <seg>Pcre</seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ chapter01/changelog.xml	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -37,4 +37,26 @@
 -->
     <listitem>
+      <para>2016-02-02</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to binutils-2.26. Fixes
+          <ulink url="&lfs-ticket-root;3882">#3882</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2016a. Fixes
+          <ulink url="&lfs-ticket-root;3883">#3883</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.25. Fixes
+          <ulink url="&lfs-ticket-root;3884">#3884</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.4.1. Fixes
+          <ulink url="&lfs-ticket-root;3885">#3885</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2016-01-27</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ chapter01/whatsnew.xml	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -41,7 +41,7 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Binutils &binutils-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Bison &bison-version;</para>
@@ -140,7 +140,7 @@
       <para>LFS-Bootscripts &lfs-bootscripts-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libcap-&libcap-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libpipeline &libpipeline-version;</para>
@@ -246,10 +246,10 @@
 
     <listitem>
+      <para>&binutils-upstream-patch;</para>
+    </listitem>
+
+    <listitem>
       <para>&glibc-largefile-patch;</para>
     </listitem>
-
-    <!--<listitem>
-      <para>&glibc-upstream-patch;</para>
-    </listitem>-->
 
     <!--<listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ chapter03/patches.xml	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -32,4 +32,12 @@
         <para>Download: <ulink url="&patches-root;&bc-memory-leak-patch;"/></para>
         <para>MD5 sum: <literal>&bc-memory-leak-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>Binutils Upstream Patch - <token>&binutils-upstream-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&binutils-upstream-patch;"/></para>
+        <para>MD5 sum: <literal>&binutils-upstream-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: chapter06/adjusting.xml
===================================================================
--- chapter06/adjusting.xml	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ chapter06/adjusting.xml	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -17,11 +17,11 @@
   <para>First, backup the <filename class="directory">/tools</filename> linker,
   and replace it with the adjusted linker we made in chapter 5. We'll also create
-  a link to its counterpart in <filename class="directory">/tools/$(gcc
-  -dumpmachine)/bin</filename>:</para>
+  a link to its counterpart in
+  <filename class="directory">/tools/$(uname -m)-pc-linux-gnu/bin</filename>:</para>
 
 <screen><userinput>mv -v /tools/bin/{ld,ld-old}
-mv -v /tools/$(gcc -dumpmachine)/bin/{ld,ld-old}
+mv -v /tools/$(uname -m)-pc-linux-gnu/bin/{ld,ld-old}
 mv -v /tools/bin/{ld-new,ld}
-ln -sv /tools/bin/ld /tools/$(gcc -dumpmachine)/bin/ld</userinput></screen>
+ln -sv /tools/bin/ld /tools/$(uname -m)-pc-linux-gnu/bin/ld</userinput></screen>
 
   <para>Next, amend the GCC specs file so that it points to the new
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ chapter06/binutils.xml	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -57,13 +57,9 @@
 <screen><computeroutput>The system has no more ptys.
 Ask your system administrator to create more.</computeroutput></screen>
-<!--
-    <para>Fix some LTO tests in the test suite:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&binutils-lto-testsuite-patch;</userinput></screen>
-
-    <para>Enable binutils to recognize multiple plugins:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&binutils-multiple-plugins-patch;</userinput></screen>
--->
+
+    <para>Fix a problem identified upstream:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&binutils-upstream-patch;</userinput></screen>
+
     <para>The Binutils documentation recommends building Binutils 
     in a dedicated build directory:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ general.ent	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -1,6 +1,6 @@
-<!ENTITY version         "SVN-20160127">
+<!ENTITY version         "SVN-20160202">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
                                       but not -rc releases -->
-<!ENTITY releasedate     "January 27, 2016">
+<!ENTITY releasedate     "February 2, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.9">
Index: packages.ent
===================================================================
--- packages.ent	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ packages.ent	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -58,8 +58,8 @@
 <!ENTITY bc-ch6-sbu "0.2 SBU">
 
-<!ENTITY binutils-version "2.25.1">
-<!ENTITY binutils-size "23,598 KB">
+<!ENTITY binutils-version "2.26">
+<!ENTITY binutils-size "24,945 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.bz2">
-<!ENTITY binutils-md5 "ac493a78de4fee895961d025b7905be4">
+<!ENTITY binutils-md5 "64146a0faa3b411ba774f47d41de239f">
 <!ENTITY binutils-home "&gnu-software;binutils/">
 <!ENTITY binutils-ch5p1-du "489 MB">
@@ -357,8 +357,8 @@
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.24">
-<!ENTITY libcap-size "64 KB">
+<!ENTITY libcap-version "2.25">
+<!ENTITY libcap-size "63 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "d43ab9f680435a7fff35b4ace8d45b80">
+<!ENTITY libcap-md5 "6666b839e5d46c2ad33fc8aa2ceb5f77">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-ch6-du "1.4 MB">
@@ -383,10 +383,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "4">
-<!ENTITY linux-patch-version "0">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
-<!ENTITY linux-size "85,250 KB">
+<!ENTITY linux-patch-version "1">
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
+<!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
+<!ENTITY linux-size "85,244 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "9a78fa2eb6c68ca5a40ed5af08142599">
+<!ENTITY linux-md5 "d27b1458acde6369cf9eaf956f402901">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -578,8 +578,8 @@
 <!ENTITY texinfo-ch6-sbu "0.6 SBU">
 
-<!ENTITY tzdata-version "2015g">
-<!ENTITY tzdata-size "294 KB">
+<!ENTITY tzdata-version "2016a">
+<!ENTITY tzdata-size "296 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "8d46e8b225b9a04c75f5c39636435ad6">
+<!ENTITY tzdata-md5 "0d3123eb1b453ec0620822bd65be4c42">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 
Index: patches.ent
===================================================================
--- patches.ent	(revision 63df8c7c565db0bce4ffc0094e0698c661ab7dc0)
+++ patches.ent	(revision 8035f937ae95955b982b7ed5b9b6b57caeddd994)
@@ -10,4 +10,8 @@
 <!ENTITY bc-memory-leak-patch-md5 "877e81fba316fe487ec23501059d54b8">
 <!ENTITY bc-memory-leak-patch-size "1.4 KB">
+
+<!ENTITY binutils-upstream-patch "binutils-&binutils-version;-upstream_fix-1.patch">
+<!ENTITY binutils-upstream-patch-md5 "a13223621449e0d6934a608f646f13a9">
+<!ENTITY binutils-upstream-patch-size "3.0 KB">
 
 <!ENTITY bzip2-docs-patch "bzip2-&bzip2-version;-install_docs-1.patch">