Index: chapter10/grub.xml
===================================================================
--- chapter10/grub.xml	(revision f0cb1e415fbc36be4d6be6245ee23c276cbf113a)
+++ chapter10/grub.xml	(revision 8190ca0715c1b5c9048aa1277dad3e499ea8b4e4)
@@ -20,5 +20,5 @@
     <para>
       If your system has UEFI support and you wish to boot LFS with UEFI,
-      you should skip this page, and config GRUB with UEFI support
+      you should skip this page, and configure GRUB with UEFI support
       using the instructions provided in
       <ulink url="&blfs-book;postlfs/grub-setup.html">the BLFS page</ulink>.
@@ -55,6 +55,6 @@
     the form of <emphasis>(hdn,m)</emphasis>, where <emphasis>n</emphasis>
     is the hard drive number and <emphasis>m</emphasis> is the partition
-    number. The hard drive number starts from zero, but the partition number
-    starts from one for normal partitions and five for extended partitions.
+    number. The hard drive numbers start from zero, but the partition numbers
+    start from one for normal partitions (from five for extended partitions).
     Note that this is different from earlier versions where
     both numbers started from zero. For example, partition <filename
@@ -84,10 +84,11 @@
     this, you will need to mount the separate partition, move all files in the
     current <filename class="directory">/boot</filename> directory (e.g. the
-    linux kernel you just built in the previous section) to the new partition.
+    Linux kernel you just built in the previous section) to the new partition.
     You will then need to unmount the partition and remount it as <filename
     class="directory">/boot</filename>.  If you do this, be sure to update
     <filename>/etc/fstab</filename>.</para>
 
-    <para>Using the current lfs partition will also work, but configuration
+    <para>Leaving <filename class="directory">>/boot</filename> on
+    the current LFS partition will also work, but configuration
     for multiple systems is more difficult.</para>
 
@@ -162,24 +163,26 @@
       <filename>grub.cfg</filename> refers to some <quote>old</quote>
       designators.  If you wish to avoid such a problem, you may use
-      the UUID of partition and filesystem instead of GRUB designator to
-      specify a partition.
+      the UUID of a partition and the UUID of a filesystem instead of a GRUB designator to
+      specify a device.
       Run <command>lsblk -o UUID,PARTUUID,PATH,MOUNTPOINT</command> to show
-      the UUID of your filesystems (in <literal>UUID</literal> column) and
-      partitions (in <literal>PARTUUID</literal> column).  Then replace
+      the UUIDs of your filesystems (in the <literal>UUID</literal> column) and
+      partitions (in the <literal>PARTUUID</literal> column).  Then replace
       <literal>set root=(hdx,y)</literal> with
-      <literal>search --set=root --fs-uuid <replaceable>&lt;UUID of the filesystem where the kernel is installed&gt;</replaceable></literal>, and replace
+      <literal>search --set=root --fs-uuid <replaceable>&lt;UUID of the filesystem
+      where the kernel is installed&gt;</replaceable></literal>, and replace
       <literal>root=/dev/sda2</literal> with
-      <literal>root=PARTUUID=<replaceable>&lt;UUID of the partition where LFS is built&gt;</replaceable></literal>.</para>
-      <para>Note that the UUID of a partition and the UUID of the filesystem
-      in this partition is completely different.  Some online resources may
+      <literal>root=PARTUUID=<replaceable>&lt;UUID of the partition where LFS 
+      is built&gt;</replaceable></literal>.</para>
+      <para>Note that the UUID of a partition is completely different from the
+      UUID of the filesystem in this partition.  Some online resources may
       instruct you to use
       <literal>root=UUID=<replaceable>&lt;filesystem UUID&gt;</replaceable></literal>
       instead of
       <literal>root=PARTUUID=<replaceable>&lt;partition UUID&gt;</replaceable></literal>,
-      but doing so will require an initramfs which is beyond the scope of
+      but doing so will require an initramfs, which is beyond the scope of
       LFS.</para>
       <para>The name of the device node for a partition in
-      <filename class='directory'>/dev</filename> may also change (more
-      unlikely than GRUB designator change though).  You can also replace
+      <filename class='directory'>/dev</filename> may also change (this is less
+      likely than a GRUB designator change).  You can also replace
       paths to device nodes like <literal>/dev/sda1</literal> with
       <literal>PARTUUID=<replaceable>&lt;partition UUID&gt;</replaceable></literal>,