Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 2c53f525a1d5bd1f7781f121e0b14a264e5c01f5)
+++ chapter01/changelog.xml	(revision 8428fdeb7d77e0db58c80ca3d6da6d3410e70058)
@@ -43,4 +43,29 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+    <listitem>
+      <para>2018-10-27</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to iproute2-4.19.0. Fixes
+          <ulink url="&lfs-ticket-root;4363">#4363</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to file-5.35. Fixes
+          <ulink url="&lfs-ticket-root;4359">#4359</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to tzdata-2018f. Fixes
+          <ulink url="&lfs-ticket-root;4358">#4358</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to meson-0.48.1. Fixes
+          <ulink url="&lfs-ticket-root;4357">#4357</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to linux-4.19. Fixes
+          <ulink url="&lfs-ticket-root;4356">#4356</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 2c53f525a1d5bd1f7781f121e0b14a264e5c01f5)
+++ chapter01/whatsnew.xml	(revision 8428fdeb7d77e0db58c80ca3d6da6d3410e70058)
@@ -81,7 +81,7 @@
       <para>Expect-&expect-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>File-&file-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>Findutils-&findutils-version;</para>
@@ -132,7 +132,7 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IPRoute2-&iproute2-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>Kbd-&kbd-version;</para>
@@ -234,7 +234,7 @@
       <para>Texinfo-&texinfo-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Tzdata-&tzdata-version;</para>
-   </listitem>-->
+   </listitem>
    <!--<listitem>
       <para>Util-Linux-&util-linux-version;</para>
Index: general.ent
===================================================================
--- general.ent	(revision 2c53f525a1d5bd1f7781f121e0b14a264e5c01f5)
+++ general.ent	(revision 8428fdeb7d77e0db58c80ca3d6da6d3410e70058)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20181010">
+<!ENTITY version         "SVN-20181027">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20181010-systemd">
+<!ENTITY versiond        "20181027-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "October 10, 2018">
+<!ENTITY releasedate     "October 27, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 2c53f525a1d5bd1f7781f121e0b14a264e5c01f5)
+++ packages.ent	(revision 8428fdeb7d77e0db58c80ca3d6da6d3410e70058)
@@ -185,8 +185,8 @@
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
-<!ENTITY file-version "5.34">
-<!ENTITY file-size "821 KB">
+<!ENTITY file-version "5.35">
+<!ENTITY file-size "848 KB">
 <!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "44b0b6983462b18f96403d4d3ad80254">
+<!ENTITY file-md5 "5f10fb45bdaffd729a572e563783b78e">
 <!ENTITY file-home "https://www.darwinsys.com/file/">
 <!ENTITY file-ch5-du "18 MB">
@@ -350,8 +350,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "4.18.0">
-<!ENTITY iproute2-size "677 KB">
+<!ENTITY iproute2-version "4.19.0">
+<!ENTITY iproute2-size "708 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "8b8680e91390c57cab788fbf8e929479">
+<!ENTITY iproute2-md5 "67eeebacaac4515cab73dfd2fc796af3">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "13 MB">
@@ -423,11 +423,11 @@
 
 <!ENTITY linux-major-version "4">
-<!ENTITY linux-minor-version "18">
-<!ENTITY linux-patch-version "12">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "99,432 KB">
+<!ENTITY linux-minor-version "19">
+<!--<!ENTITY linux-patch-version "1">-->
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
+<!ENTITY linux-size "100,708 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4f6af94e58a89e89aa1683475544a58a">
+<!ENTITY linux-md5 "740a90cf810c2105df8ee12e5d0bb900">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -478,8 +478,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.48.0">
+<!ENTITY meson-version "0.48.1">
 <!ENTITY meson-size "1,284 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "e92273538c6b8371e68d736287a5d991">
+<!ENTITY meson-md5 "d424e2ae88036326cc6c8e3b01e65daf">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "21 MB">
@@ -670,8 +670,8 @@
 <!ENTITY texinfo-ch6-sbu "1.1 SBU">
 
-<!ENTITY tzdata-version "2018e">
-<!ENTITY tzdata-size "346 KB">
+<!ENTITY tzdata-version "2018f">
+<!ENTITY tzdata-size "364 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "97d654f4d7253173b3eeb76a836dd65e">
+<!ENTITY tzdata-md5 "e5e84f00f9d18bd6ebc8b1affec91b15">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 