Index: Makefile
===================================================================
--- Makefile	(revision 65c541b3b35ef344168e1e3515452113d9d557df)
+++ Makefile	(revision 84909cc737f8d37f61be1bb3cbc391e37161dfb6)
@@ -152,20 +152,26 @@
 	             $(RENDERTMP)/lfs-full.xml
 
-wget-list: $(BASEDIR)/wget-list
+wget-list: $(BASEDIR)/wget-list $(BASEDIR)/wget-list-$(REV)
 $(BASEDIR)/wget-list: stylesheets/wget-list.xsl chapter03/chapter03.xml \
                       packages.ent patches.ent general.ent
 	@echo "Generating consolidated wget list at $(BASEDIR)/wget-list ..."
 	$(Q)mkdir -p $(BASEDIR)
-
-#	$(Q)xsltproc --nonet --xinclude                    \
-#                --stringparam profile.revision $(REV) \
-#                --output $(RENDERTMP)/sysd-wget.xml   \
-#                stylesheets/lfs-xsl/profile.xsl       \
-#                chapter03/chapter03.xml
-
 	$(Q)xsltproc --xinclude --nonet            \
                 --output $(BASEDIR)/wget-list \
 	             stylesheets/wget-list.xsl     \
                 chapter03/chapter03.xml
+
+$(BASEDIR)/wget-list-$(REV): stylesheets/wget-list.xsl \
+                             chapter03/chapter03.xml \
+                             packages.ent patches.ent general.ent
+	$(Q)xsltproc --nonet --xinclude                   \
+                --stringparam profile.revision $(REV) \
+                --output $(RENDERTMP)/wget-list.xml   \
+                stylesheets/lfs-xsl/profile.xsl       \
+                chapter03/chapter03.xml
+	$(Q)xsltproc --xinclude --nonet                  \
+                --output $(BASEDIR)/wget-list-$(REV) \
+                stylesheets/wget-list.xsl            \
+                $(RENDERTMP)/wget-list.xml
 
 md5sums: $(BASEDIR)/md5sums
@@ -175,14 +181,14 @@
 	$(Q)mkdir -p $(BASEDIR)
 
-	$(Q)xsltproc --nonet --xinclude                    \
+	$(Q)xsltproc --nonet --xinclude                   \
                 --stringparam profile.revision $(REV) \
-                --output $(RENDERTMP)/sysv-md5sum.xml \
+                --output $(RENDERTMP)/md5sum.xml      \
                 stylesheets/lfs-xsl/profile.xsl       \
                 chapter03/chapter03.xml
 
-	$(Q)xsltproc --xinclude --nonet          \
+	$(Q)xsltproc --xinclude --nonet         \
                 --output $(BASEDIR)/md5sums \
                 stylesheets/md5sum.xsl      \
-                $(RENDERTMP)/sysv-md5sum.xml
+                $(RENDERTMP)/md5sum.xml
 	$(Q)sed -i -e \
        "s/BOOTSCRIPTS-MD5SUM/$(shell md5sum lfs-bootscripts*.tar.xz | cut -d' ' -f1)/" \
Index: chapter03/introduction.xml
===================================================================
--- chapter03/introduction.xml	(revision 65c541b3b35ef344168e1e3515452113d9d557df)
+++ chapter03/introduction.xml	(revision 84909cc737f8d37f61be1bb3cbc391e37161dfb6)
@@ -80,9 +80,9 @@
 
   <para>To download all of the packages and patches by using
-  <ulink url="../wget-list">wget-list</ulink> as an input to the
-  <command>wget</command> command, use:</para>
+  <ulink url="../&wget-list;">&wget-list;</ulink>
+  as an input to the <command>wget</command> command, use:</para>
 
-<screen role="nodump"><userinput>wget --input-file=wget-list --continue --directory-prefix=$LFS/sources</userinput></screen>
-
+<screen role="nodump"><userinput>wget --input-file=&wget-list; --continue --directory-prefix=$LFS/sources</userinput></screen>
+<!--
   <note><para>
     The <filename>wget-list</filename> file mentioned above retrieves all
@@ -92,5 +92,5 @@
     current book.
   </para></note>
-
+-->
   <para>Additionally, starting with LFS-7.0, there is a separate file,
   <ulink url="../md5sums">md5sums</ulink>, which can be used to verify that all
Index: general.ent
===================================================================
--- general.ent	(revision 65c541b3b35ef344168e1e3515452113d9d557df)
+++ general.ent	(revision 84909cc737f8d37f61be1bb3cbc391e37161dfb6)
@@ -73,4 +73,11 @@
 ]]>
 
+<![ %sysv; [
+<!ENTITY wget-list       "wget-list-sysv">
+]]>
+<![ %systemd; [
+<!ENTITY wget-list       "wget-list-systemd">
+]]>
+
 <!ENTITY lfs-root        "https://www.linuxfromscratch.org/">
 <!ENTITY blfs-root       "&lfs-root;blfs/">