Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision ce33e5757d49964789b9642fb08e98211c1408dd)
+++ chapter01/changelog.xml	(revision 8536c02ded36cddc06df1f8b3fbb6d2889f2e544)
@@ -41,4 +41,8 @@
       <itemizedlist>
         <listitem>
+          <para>[matthew] - Upgrade to Udev-108. Fixes
+          <ulink url="&lfs-ticket-root;1976">#1976</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[matthew] - Upgrade to Man-pages-2.44. Fixes
           <ulink url="&lfs-ticket-root;1987">#1987</ulink>.</para>
Index: chapter06/udev.xml
===================================================================
--- chapter06/udev.xml	(revision ce33e5757d49964789b9642fb08e98211c1408dd)
+++ chapter06/udev.xml	(revision 8536c02ded36cddc06df1f8b3fbb6d2889f2e544)
@@ -54,8 +54,5 @@
     <para>Compile the package:</para>
 
-<screen><userinput>make EXTRAS="extras/ata_id extras/cdrom_id extras/edd_id \
-    extras/firmware extras/floppy extras/path_id \
-    extras/rule_generator extras/scsi_id extras/usb_id \
-    extras/volume_id"</userinput></screen>
+<screen><userinput>make EXTRAS="`echo extras/*/`"</userinput></screen>
 
     <variablelist>
@@ -65,5 +62,5 @@
         <term><parameter>EXTRAS=...</parameter></term>
         <listitem>
-          <para>This builds several helper binaries that can aid in writing custom
+          <para>This builds the helper binaries that can aid in writing custom
           Udev rules.</para>
         </listitem>
@@ -80,9 +77,5 @@
     <para>Install the package:</para>
 
-<screen><userinput>make DESTDIR=/ \
-    EXTRAS="extras/ata_id extras/cdrom_id extras/edd_id \
-            extras/firmware extras/floppy extras/path_id \
-            extras/rule_generator extras/scsi_id \
-            extras/usb_id extras/volume_id" install</userinput></screen>
+<screen><userinput>make DESTDIR=/ EXTRAS="`echo extras/*/`" install</userinput></screen>
 
     <variablelist>
Index: chapter07/symlinks.xml
===================================================================
--- chapter07/symlinks.xml	(revision ce33e5757d49964789b9642fb08e98211c1408dd)
+++ chapter07/symlinks.xml	(revision 8536c02ded36cddc06df1f8b3fbb6d2889f2e544)
@@ -24,10 +24,11 @@
     decide which of two modes of operation you wish to have the script use.</para>
 
-    <para>First, the script can operate in <quote>by-path</quote> mode, where
-    the rules it creates depend on the physical path to the CD or DVD device.
-    Second, it can operate in <quote>by-id</quote> mode, where the rules it
-    creates depend on identification strings stored in the CD or DVD device
-    itself. The path is determined by Udev's <command>path_id</command> script,
-    and the identification strings are read from the hardware by its
+    <para>First, the script can operate in <quote>by-path</quote> mode (used by
+    default for USB and FireWire devices), where the rules it creates depend on
+    the physical path to the CD or DVD device. Second, it can operate in
+    <quote>by-id</quote> mode (default for IDE and SCSI devices), where the
+    rules it creates depend on identification strings stored in the CD or DVD
+    device itself. The path is determined by Udev's <command>path_id</command>
+    script, and the identification strings are read from the hardware by its
     <command>ata_id</command> or <command>scsi_id</command> programs, depending
     on which type of device you have.</para>
@@ -70,11 +71,11 @@
     ID_REVISION. The <quote>by-path</quote> mode will use the ID_PATH value.</para>
 
-    <para>If you choose the <quote>by-path</quote> mode, then the rules files
-    installed by default with Udev will work. If you choose the <quote>by-id</quote>
-    mode, then you will have to modify the
+    <para>If the default mode is not suitable for your situation, then the
+    following modification can be made to the
     <filename>/etc/udev/rules.d/75-cd-aliases-generator.rules</filename> file,
-    as follows:</para>
+    as follows (where <replaceable>mode</replaceable> is one of
+    <quote>by-id</quote> or <quote>by-path</quote>):</para>
 
-<screen><userinput>sed -i -e 's/write_cd_aliases/&amp; by-id/' \
+<screen><userinput>sed -i -e 's/write_cd_aliases/&amp; <replaceable>mode</replaceable>/' \
     /etc/udev/rules.d/75-cd-aliases-generator.rules</userinput></screen>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision ce33e5757d49964789b9642fb08e98211c1408dd)
+++ packages.ent	(revision 8536c02ded36cddc06df1f8b3fbb6d2889f2e544)
@@ -483,8 +483,8 @@
 <!ENTITY texinfo-ch6-sbu "0.2 SBU">
 
-<!ENTITY udev-version "106">
-<!ENTITY udev-size "184 KB">
+<!ENTITY udev-version "108">
+<!ENTITY udev-size "183 KB">
 <!ENTITY udev-url "&kernel;linux/utils/kernel/hotplug/udev-&udev-version;.tar.bz2">
-<!ENTITY udev-md5 "320ccd2d0f4540d10e021bafa14f8985">
+<!ENTITY udev-md5 "67935abde67b23e7c6e86e0be77c5e4b">
 <!ENTITY udev-home "&kernel;linux/utils/kernel/hotplug/udev.html">
 <!ENTITY udev-ch6-du "5.8 MB">