Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 12fff1eb8d1c5dcf9c4049d0d08f315d1103787a)
+++ chapter01/changelog.xml	(revision 8674e99479219fe0bd163b0b8a10ca84015278f3)
@@ -43,4 +43,37 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+    <listitem>
+      <itemizedlist>
+      <para>2020-06-17</para>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.54.3. Fixes
+          <ulink url="&lfs-ticket-root;4673">#4673</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-5.07. Fixes
+          <ulink url="&lfs-ticket-root;4669">#4669</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.7.2. Fixes
+          <ulink url="&lfs-ticket-root;4662">#4662</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.7.0. Fixes
+          <ulink url="&lfs-ticket-root;4668">#4668</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to file-5.39. Fixes
+          <ulink url="&lfs-ticket-root;4671">#4671</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to elfutils-0.180. Fixes
+          <ulink url="&lfs-ticket-root;4670">#4670</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.6.4. Fixes
+          <ulink url="&lfs-ticket-root;4672">#4672</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 12fff1eb8d1c5dcf9c4049d0d08f315d1103787a)
+++ chapter01/whatsnew.xml	(revision 8674e99479219fe0bd163b0b8a10ca84015278f3)
@@ -85,7 +85,7 @@
        <para>Expect-&expect-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
        <para>File-&file-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Findutils-&findutils-version;</para>
Index: general.ent
===================================================================
--- general.ent	(revision 12fff1eb8d1c5dcf9c4049d0d08f315d1103787a)
+++ general.ent	(revision 8674e99479219fe0bd163b0b8a10ca84015278f3)
@@ -1,12 +1,12 @@
-<!ENTITY version         "20200616">
+<!ENTITY version         "SVN-20200617">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200615-systemd">
+<!ENTITY versiond        "20200617-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "20200615-systemd"> 
 
-<!ENTITY releasedate     "June 16th, 2020">
+<!ENTITY releasedate     "June 17th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 12fff1eb8d1c5dcf9c4049d0d08f315d1103787a)
+++ packages.ent	(revision 8674e99479219fe0bd163b0b8a10ca84015278f3)
@@ -78,8 +78,8 @@
 <!ENTITY binutils-fin-sbu "6.6 SBU">
 
-<!ENTITY bison-version "3.6.3">
-<!ENTITY bison-size "2,416 KB">
+<!ENTITY bison-version "3.6.4">
+<!ENTITY bison-size "2,415 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "ca0513e77de1de46b9f2419d175cb3b4">
+<!ENTITY bison-md5 "08bf8aa8334d7f817b7b24509ef412bf">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-tmp-du "47 MB">
@@ -163,8 +163,8 @@
 <!ENTITY e2fsprogs-fin-sbu "4.4 SBU on a spinning disk, 1.7 SBU on an SSD">
 
-<!ENTITY elfutils-version "0.179">
-<!ENTITY elfutils-size "8,846 KB">
+<!ENTITY elfutils-version "0.180">
+<!ENTITY elfutils-size "8,867 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "8ee56b371b5a7ea081284c44e5164600">
+<!ENTITY elfutils-md5 "23feddb1b3859b03ffdbaf53ba6bd09b">
 <!ENTITY elfutils-home "https://sourceware.org/ftp/elfutils/">
 <!ENTITY elfutils-fin-du "121 MB">
@@ -195,8 +195,8 @@
 <!ENTITY expect-tmp-sbu "0.1 SBU">
 
-<!ENTITY file-version "5.38">
-<!ENTITY file-size "911 KB">
+<!ENTITY file-version "5.39">
+<!ENTITY file-size "932 KB">
 <!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "3217633ed09c7cd35ed8d04191675574">
+<!ENTITY file-md5 "1c450306053622803a25647d88f80f25">
 <!ENTITY file-home "https://www.darwinsys.com/file/">
 <!ENTITY file-tmp-du "20 MB">
@@ -365,8 +365,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.6.0">
-<!ENTITY iproute2-size "738 KB">
+<!ENTITY iproute2-version "5.7.0">
+<!ENTITY iproute2-size "747 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "9da0c352707c34b8b1fec3bf42fcfd09">
+<!ENTITY iproute2-md5 "da22ab8562eda56ae232872fa72e4870">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "14 MB">
@@ -438,11 +438,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "6">
-<!ENTITY linux-patch-version "15">
+<!ENTITY linux-minor-version "7">
+<!ENTITY linux-patch-version "2">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "109,193 KB">
+<!ENTITY linux-size "110,047 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "41f02b34dbb66ffa6b71bb3e2361e94d">
+<!ENTITY linux-md5 "3aec12c426030b27553006ea515a91a1">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -486,16 +486,16 @@
 <!ENTITY man-db-fin-sbu "0.5 SBU">
 
-<!ENTITY man-pages-version "5.06">
-<!ENTITY man-pages-size "1,664 KB">
+<!ENTITY man-pages-version "5.07">
+<!ENTITY man-pages-size "1,677 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "df2054d875c83bbc0bc0cfb8f53f3d43">
+<!ENTITY man-pages-md5 "4423c3e8d8e8224382ff244449c29468">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-fin-du "31 MB">
 <!ENTITY man-pages-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.54.2">
+<!ENTITY meson-version "0.54.3">
 <!ENTITY meson-size "1,652 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "6da6600c230d4124a73ca77ffef69cad">
+<!ENTITY meson-md5 "4ec36e59f182ac6f890585e8baff6fe4">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "33 MB">