Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision eece29dda4e0d7ceb8a095d14603883952ce9ef8)
+++ chapter01/changelog.xml	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
@@ -44,4 +44,14 @@
 -->
    <listitem>
+      <para>2016-06-11</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to make-4.2.1. Fixes
+          <ulink url="&lfs-ticket-root;3944">#3944</ulink>.</para>
+        </listitem>
+     </itemizedlist>
+    </listitem>
+
+   <listitem>
       <para>2016-06-10</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision eece29dda4e0d7ceb8a095d14603883952ce9ef8)
+++ chapter01/whatsnew.xml	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
@@ -260,8 +260,4 @@
     </listitem>
 
-    <listitem>
-      <para>&make-upstream-patch;</para>
-    </listitem>
-
   </itemizedlist>
 
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision eece29dda4e0d7ceb8a095d14603883952ce9ef8)
+++ chapter03/patches.xml	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
@@ -84,12 +84,4 @@
 
     <varlistentry>
-      <term>Make Upstream Patch - <token>&make-upstream-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&make-upstream-patch;"/></para>
-        <para>MD5 sum: <literal>&make-upstream-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term>Readline Upstream Fixes Patch - <token>&readline-fixes-patch-size;</token>:</term>
       <listitem>
Index: chapter05/make.xml
===================================================================
--- chapter05/make.xml	(revision eece29dda4e0d7ceb8a095d14603883952ce9ef8)
+++ chapter05/make.xml	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
@@ -43,7 +43,4 @@
     <title>Installation of Make</title>
 
-    <para>Fix some problems identified upstream:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&make-upstream-patch;</userinput></screen>
     <para>Prepare Make for compilation:</para>
 
Index: chapter06/make.xml
===================================================================
--- chapter06/make.xml	(revision eece29dda4e0d7ceb8a095d14603883952ce9ef8)
+++ chapter06/make.xml	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
@@ -41,7 +41,4 @@
     <title>Installation of Make</title>
 
-    <para>Fix some problems identified upstream:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&make-upstream-patch;</userinput></screen>
     <para>Prepare Make for compilation:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision eece29dda4e0d7ceb8a095d14603883952ce9ef8)
+++ general.ent	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20160527">
+<!ENTITY version         "SVN-20160611">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20160527-systemd">
+<!ENTITY versiond        "20160611-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "May 16, 2016">
+<!ENTITY releasedate     "June 11, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.10">
Index: packages.ent
===================================================================
--- packages.ent	(revision eece29dda4e0d7ceb8a095d14603883952ce9ef8)
+++ packages.ent	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
@@ -420,8 +420,8 @@
 <!ENTITY m4-ch6-sbu "0.4 SBU">
 
-<!ENTITY make-version "4.2">
-<!ENTITY make-size "1,368 KB">
+<!ENTITY make-version "4.2.1">
+<!ENTITY make-size "1,375 KB">
 <!ENTITY make-url "&gnu;make/make-&make-version;.tar.bz2">
-<!ENTITY make-md5 "85ad14d08766201ffe71efa866f4fb91">
+<!ENTITY make-md5 "15b012617e7c44c0ed482721629577ac">
 <!ENTITY make-home "&gnu-software;make/">
 <!ENTITY make-ch5-du "12.1 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision eece29dda4e0d7ceb8a095d14603883952ce9ef8)
+++ patches.ent	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
@@ -35,8 +35,4 @@
 <!ENTITY kbd-backspace-patch-size "12 KB">
 
-<!ENTITY make-upstream-patch "make-&make-version;-upstream_fixes-1.patch">
-<!ENTITY make-upstream-patch-md5 "992c1719864ec6d75f14de07844c82ec">
-<!ENTITY make-upstream-patch-size "6.9 KB">
-
 <!ENTITY readline-fixes-patch "readline-&readline-version;-upstream_fixes-3.patch">
 <!ENTITY readline-fixes-patch-md5 "6b0d9f4e79319d56a7fee9b35e5cfd1b">