Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 9627f8bb89eab83c51f4d335f83ae26ea7772d2d)
+++ chapter06/gcc.xml	(revision 9058aa1ecb1c771064d7bd3beacb520c2d8e440a)
@@ -253,5 +253,5 @@
         <seg>c++, cc (link to gcc), cpp, g++, gcc, gccbug, and gcov</seg>
         <seg>libgcc.a, libgcc_eh.a, libgcc_s.so, libmudflap.{a,so},
-        libssp.{a,so}libstdc++.{a,so}, and libsupc++.a</seg>
+        libssp.{a,so}, libstdc++.{a,so}, and libsupc++.a</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 9627f8bb89eab83c51f4d335f83ae26ea7772d2d)
+++ chapter06/glibc.xml	(revision 9058aa1ecb1c771064d7bd3beacb520c2d8e440a)
@@ -90,5 +90,5 @@
 
     <para>The <command>ldd</command> shell script contains Bash-specific
-    syntax. Change it's default program interpreter to <command>/bin/bash</command>
+    syntax. Change its default program interpreter to <command>/bin/bash</command>
     in case another <command>/bin/sh</command> is installed as described in the
     <ulink url="&blfs-root;view/svn/postlfs/shells.html">Shells</ulink>
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision 9627f8bb89eab83c51f4d335f83ae26ea7772d2d)
+++ chapter06/inetutils.xml	(revision 9058aa1ecb1c771064d7bd3beacb520c2d8e440a)
@@ -62,5 +62,5 @@
         <listitem>
           <para>This option prevents Inetutils from installing the
-          <command>ifconfig</command>, which can be used to configure network
+          <command>ifconfig</command> program, which can be used to configure network
           interfaces. LFS uses <command>ip</command> from IPRoute2 to perform
           this task.</para>
Index: chapter06/man-db.xml
===================================================================
--- chapter06/man-db.xml	(revision 9627f8bb89eab83c51f4d335f83ae26ea7772d2d)
+++ chapter06/man-db.xml	(revision 9058aa1ecb1c771064d7bd3beacb520c2d8e440a)
@@ -81,5 +81,5 @@
 
     <para>Finally, patch the sources to fix output errors if the man page is
-    prematurely aborted by pressing the 'q' key.</para>
+    prematurely aborted by pressing the 'q' key:</para>
 
 <screen><userinput>patch -Np1 -i ../&man-db-fixes-patch;</userinput></screen>
@@ -342,5 +342,5 @@
 
       <seglistitem>
-        <seg>accessdb, apropos, catman, convert-mans,lexgrog, man, mandb,
+        <seg>accessdb, apropos, catman, convert-mans, lexgrog, man, mandb,
         manpath, whatis, and zsoelim</seg>
       </seglistitem>
Index: chapter06/ncurses.xml
===================================================================
--- chapter06/ncurses.xml	(revision 9627f8bb89eab83c51f4d335f83ae26ea7772d2d)
+++ chapter06/ncurses.xml	(revision 9058aa1ecb1c771064d7bd3beacb520c2d8e440a)
@@ -166,5 +166,5 @@
       <seglistitem>
         <seg>captoinfo (link to tic), clear, infocmp, infotocap (link to tic),
-        reset (link to tset), tack, tic, toe, tput, and tset</seg>
+        ncurses5-config, reset (link to tset), tack, tic, toe, tput, and tset</seg>
         <seg>libcursesw.{a,so} (symlink and linker script to libncursesw.{a,so}),
         libformw.{a,so}, libmenuw.{a,so}, libncurses++w.a, libncursesw.{a,so},
@@ -219,4 +219,14 @@
       </varlistentry>
 
+      <varlistentry id="ncurses5-config">
+        <term><command>ncurses5-config</command></term>
+        <listitem>
+          <para>Provides configuration information for ncurses</para>
+          <indexterm zone="ch-system-ncurses ncurses5-config">
+            <primary sortas="b-ncurses5-config">ncurses5-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="reset">
         <term><command>reset</command></term>
Index: chapter06/udev.xml
===================================================================
--- chapter06/udev.xml	(revision 9627f8bb89eab83c51f4d335f83ae26ea7772d2d)
+++ chapter06/udev.xml	(revision 9058aa1ecb1c771064d7bd3beacb520c2d8e440a)
@@ -207,5 +207,5 @@
         <term><command>path_id</command></term>
         <listitem>
-          <para>Provide the shortest possible unique hardware path to a
+          <para>Provides the shortest possible unique hardware path to a
           device</para>
           <indexterm zone="ch-system-udev path_id">
@@ -366,5 +366,5 @@
         <term><filename class="directory">/etc/udev</filename></term>
         <listitem>
-          <para>Contains Udev configuation files,
+          <para>Contains Udev configuration files,
           device permissions, and rules for device naming</para>
           <indexterm zone="ch-system-udev etc-udev">