Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 9d2bb34c17c1662816e2b93f1e64e5f938a2c865)
+++ chapter01/changelog.xml	(revision 9218b059faab9c05b7d0074503dee9760e41007f)
@@ -40,6 +40,24 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - LFS-7.9-rc2 released.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to glibc-2.23.  Fixes
+          <ulink url="&lfs-ticket-root;3889">#3889</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.4.2.  Fixes
+          <ulink url="&lfs-ticket-root;3888">#3888</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2016-02-16</para>
+      <itemizedlist>
+        <listitem>
           <para>[bdubbs] - Update patches for bash, binutils, 
-          glibc, mpfr, and gcc from upstream repositories.</para>
+          glibc, mpfr, and gcc from upstream repositories. Fixes (among other 
+          things) <ulink url="&lfs-ticket-root;3887">#3887</ulink>.</para>
         </listitem>
       </itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 9d2bb34c17c1662816e2b93f1e64e5f938a2c865)
+++ chapter01/whatsnew.xml	(revision 9218b059faab9c05b7d0074503dee9760e41007f)
@@ -95,7 +95,7 @@
       <para>Gettext &gettext-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Glibc &glibc-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>GMP &gmp-version;</para>
@@ -258,12 +258,4 @@
 -->
     <listitem>
-      <para>&glibc-largefile-patch;</para>
-    </listitem>
-
-    <listitem>
-      <para>&glibc-upstream-patch2;</para>
-    </listitem>
-
-    <listitem>
       <para>&mpfr-upstream-patch;</para>
     </listitem>
@@ -279,7 +271,7 @@
     </listitem>-->
 
-    <!--<listitem>
-      <para>Eudev-manpages separate tarball</para>
-    </listitem>-->
+    <listitem>
+      <para>glibc-2.22-upstream_i386_fix-1.patch</para>
+    </listitem>
 
   </itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 9d2bb34c17c1662816e2b93f1e64e5f938a2c865)
+++ chapter03/patches.xml	(revision 9218b059faab9c05b7d0074503dee9760e41007f)
@@ -74,5 +74,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry>
       <term>Glibc i386 Patch - <token>&glibc-upstream-patch-size;</token>:</term>
@@ -82,21 +82,5 @@
       </listitem>
     </varlistentry>
-
-    <varlistentry>
-      <term>Glibc Largefile Patch - <token>&glibc-largefile-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&glibc-largefile-patch;"/></para>
-        <para>MD5 sum: <literal>&glibc-largefile-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Glibc Upstream Patchs - <token>&glibc-upstream-patch2-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&glibc-upstream-patch2;"/></para>
-        <para>MD5 sum: <literal>&glibc-upstream-patch2-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
+-->
     <varlistentry>
       <term>Kbd Backspace/Delete Fix Patch - <token>&kbd-backspace-patch-size;</token>:</term>
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision 9d2bb34c17c1662816e2b93f1e64e5f938a2c865)
+++ chapter05/glibc.xml	(revision 9218b059faab9c05b7d0074503dee9760e41007f)
@@ -43,9 +43,9 @@
   <sect2 role="installation">
     <title>Installation of Glibc</title>
-
+<!--
     <para>First fix a build problem that affects i386 systems:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
-
+-->
     <para>The Glibc documentation recommends building Glibc 
     in a dedicated build directory:</para>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 9d2bb34c17c1662816e2b93f1e64e5f938a2c865)
+++ chapter06/glibc.xml	(revision 9218b059faab9c05b7d0074503dee9760e41007f)
@@ -68,5 +68,5 @@
     Glibc autoconf tests would give false results and defeat the goal
     of achieving a clean build.</para>
-
+<!--
     <para>Now fix a build problem that affects i386 systems:</para>
 
@@ -81,5 +81,5 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch2;</userinput></screen>
-
+-->
     <para>The Glibc documentation recommends building Glibc 
     in a dedicated build directory:</para>
@@ -116,6 +116,7 @@
 
       <listitem>
-        <para><emphasis>posix/tst-getaddrinfo4</emphasis> will always fail due
-        to not having the necessary  networking applications when the tests are
+        <para><emphasis>posix/tst-getaddrinfo4</emphasis> and 
+        <emphasis>posix/tst-getaddrinfo5</emphasis> will always fail due
+        to not having the necessary networking applications when the tests are
         run.</para>
       </listitem>
@@ -130,8 +131,8 @@
       <listitem>
         <para>The math tests sometimes fail when running on
-        systems where the CPU is not a relatively new genuine Intel or
-        authentic AMD processor.</para>
+        systems where the CPU is not a relatively new Intel or
+        AMD processor.</para>
       </listitem>
-
+<!--
       <listitem>
         <para>The <emphasis>elf/tst-protected1a</emphasis> and
@@ -139,5 +140,5 @@
         fail with the current stable version of binutils.</para>
       </listitem>
-<!--
+
       <listitem>
         <para>When running on older and slower hardware or on systems under
Index: general.ent
===================================================================
--- general.ent	(revision 9d2bb34c17c1662816e2b93f1e64e5f938a2c865)
+++ general.ent	(revision 9218b059faab9c05b7d0074503dee9760e41007f)
@@ -1,6 +1,6 @@
-<!ENTITY version         "SVN-20160216">
+<!ENTITY version         "SVN-20160219">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
                                       but not -rc releases -->
-<!ENTITY releasedate     "February 16, 2016">
+<!ENTITY releasedate     "February 19, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.9">
Index: packages.ent
===================================================================
--- packages.ent	(revision 9d2bb34c17c1662816e2b93f1e64e5f938a2c865)
+++ packages.ent	(revision 9218b059faab9c05b7d0074503dee9760e41007f)
@@ -230,8 +230,8 @@
 <!ENTITY gettext-ch6-sbu "3.3 SBU">
 
-<!ENTITY glibc-version "2.22">
-<!ENTITY glibc-size "12,666 KB">
+<!ENTITY glibc-version "2.23">
+<!ENTITY glibc-size "13,140 KB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.xz">
-<!ENTITY glibc-md5 "e51e02bf552a0a1fbbdc948fb2f5e83c">
+<!ENTITY glibc-md5 "456995968f3acadbed39f5eba31678df">
 <!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-ch5-du "650 MB">
@@ -383,10 +383,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "4">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "2">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "85,244 KB">
+<!ENTITY linux-size "85,249 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "d27b1458acde6369cf9eaf956f402901">
+<!ENTITY linux-md5 "d1b8be99e6c12cbc52b2af0520d550bb">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
Index: patches.ent
===================================================================
--- patches.ent	(revision 9d2bb34c17c1662816e2b93f1e64e5f938a2c865)
+++ patches.ent	(revision 9218b059faab9c05b7d0074503dee9760e41007f)
@@ -23,25 +23,7 @@
 <!ENTITY coreutils-i18n-patch-size "146 KB">
 
-<!--
-<!ENTITY gcc-upstream-patch "gcc-&gcc-version;-upstream_fixes-1.patch">
-<!ENTITY gcc-upstream-patch-md5 "56d86c16ea62e024e6eebbdc9dc63700">
-<!ENTITY gcc-upstream-patch-size "251 KB">
--->
-
-<!ENTITY glibc-upstream-patch "glibc-&glibc-version;-upstream_i386_fix-1.patch">
-<!ENTITY glibc-upstream-patch-md5 "cfb3cb46074a833ac5729be79e4f2592">
-<!ENTITY glibc-upstream-patch-size "1.9 KB">
-
-<!ENTITY glibc-upstream-patch2 "glibc-&glibc-version;-upstream_fixes-1.patch">
-<!ENTITY glibc-upstream-patch2-md5 "2357ae19ff8b1bfc527214d19d328903">
-<!ENTITY glibc-upstream-patch2-size "52 KB">
-
 <!ENTITY glibc-fhs-patch "glibc-&glibc-version;-fhs-1.patch">
 <!ENTITY glibc-fhs-patch-md5 "9a5997c3452909b1769918c759eff8a2">
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
-
-<!ENTITY glibc-largefile-patch "glibc-&glibc-version;-largefile-1.patch">
-<!ENTITY glibc-largefile-patch-md5 "203fe9133e82f2b59969c116b70fd84e">
-<!ENTITY glibc-largefile-patch-size "2.3 KB">
 
 <!ENTITY kbd-backspace-patch "kbd-&kbd-version;-backspace-1.patch">