Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 96971352a8096fbb6c08d276fba644116d121cf7)
+++ appendices/dependencies.xml	(revision 9382de30562bded1227c4d75a6bea2ad3b6e1756)
@@ -404,6 +404,6 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, GMP, Grep, Make,
-         Patch, Perl, Sed, and Texinfo</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, GMP, Grep, Libcap,
+         Make, Patch, Perl, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 96971352a8096fbb6c08d276fba644116d121cf7)
+++ chapter01/changelog.xml	(revision 9382de30562bded1227c4d75a6bea2ad3b6e1756)
@@ -46,4 +46,64 @@
        -->
     <listitem revision="sysv">
+      <para>2020-01-09</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.53.0. Fixes
+          <ulink url="&lfs-ticket-root;4571">#4571</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.45.5. Fixes
+          <ulink url="&lfs-ticket-root;4570">#4570</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to grep-3.4. Fixes
+          <ulink url="&lfs-ticket-root;4568">#4568</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libpipeline-1.5.2. Fixes
+          <ulink url="&lfs-ticket-root;4567">#4567</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.4.8. Fixes
+          <ulink url="&lfs-ticket-root;4566">#4566</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Add <filename>/etc/os-release</filename> to
+          the sysV version, as it is required by some packages in BLFS.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2020-01-06</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to libcap-2.30. Fixes
+          <ulink url="&lfs-ticket-root;4569">#4569</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2020-01-04</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Fix various issues in libcap-2.29, and
+          update dependencies.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2020-01-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.29. Fixes
+          <ulink url="&lfs-ticket-root;4564">#4564</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2019-12-22</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 96971352a8096fbb6c08d276fba644116d121cf7)
+++ chapter01/whatsnew.xml	(revision 9382de30562bded1227c4d75a6bea2ad3b6e1756)
@@ -111,7 +111,7 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep-&grep-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Groff-&groff-version;</para>
@@ -156,7 +156,7 @@
       <para>Libffi-&libffi-version;</para>
    </listitem>
-   <!--<listitem>
+   <listitem>
       <para>Libpipeline-&libpipeline-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>Libtool-&libtool-version;</para>
Index: chapter06/libcap.xml
===================================================================
--- chapter06/libcap.xml	(revision 96971352a8096fbb6c08d276fba644116d121cf7)
+++ chapter06/libcap.xml	(revision 9382de30562bded1227c4d75a6bea2ad3b6e1756)
@@ -46,16 +46,9 @@
     <para>Prevent a static library from being installed:</para>
 
-<screen><userinput remap="pre">sed -i '/install.*STALIBNAME/d' libcap/Makefile</userinput></screen>
+<screen><userinput remap="pre">sed -i '/install.*STACAPLIBNAME/d' libcap/Makefile</userinput></screen>
 
     <para>Compile the package:</para>
 
-<screen><userinput remap="make">make</userinput></screen>
-
-    <para>This package does not come with a test suite.</para>
-
-    <para>Install the package:</para>
-
-<screen><userinput remap="install">make RAISE_SETFCAP=no lib=lib prefix=/usr install
-chmod -v 755 /usr/lib/libcap.so.&libcap-version;</userinput></screen>
+<screen><userinput remap="make">make lib=lib</userinput></screen>
 
     <variablelist>
@@ -63,31 +56,22 @@
 
       <varlistentry>
-        <term><parameter>RAISE_SETFCAP=no</parameter></term>
-        <listitem>
-          <para>This parameter skips trying to use <command>setcap</command>
-          on itself. This avoids an installation error if the kernel or file
-          system does not support extended capabilities.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry>
         <term><parameter>lib=lib</parameter></term>
         <listitem>
-          <para>This parameter installs the library in
-          <filename>$prefix/lib</filename> rather than
-          <filename>$prefix/lib64</filename> on x86_64. It has no effect on
+          <para>This parameter sets the library directory to
+          <filename>/lib</filename> rather than
+          <filename>/lib64</filename> on x86_64. It has no effect on
           x86.</para>
         </listitem>
       </varlistentry>
- 
     </variablelist>
 
-    <para>The shared library needs to be moved to
-    <filename class="directory">/lib</filename>, and as a result the
-    <filename class="extension">.so</filename> file in
-    <filename class="directory">/usr/lib</filename> will need to be recreated:</para>
-
-<screen><userinput remap="install">mv -v /usr/lib/libcap.so.* /lib
-ln -sfv ../../lib/$(readlink /usr/lib/libcap.so) /usr/lib/libcap.so</userinput></screen>
+    <para>To test the results, issue:</para>
+
+<screen><userinput remap="test">make test</userinput></screen>
+
+    <para>Install the package:</para>
+
+<screen><userinput remap="install">make lib=lib install
+chmod -v 755 /lib/libcap.so.&libcap-version;</userinput></screen>
 
   </sect2>
@@ -140,5 +124,5 @@
       <seglistitem>
         <seg>capsh, getcap, getpcaps, and setcap</seg>
-        <seg>libcap.so</seg>
+        <seg>libcap.so and libpsx.a</seg>
       </seglistitem>
     </segmentedlist>
@@ -200,4 +184,15 @@
       </varlistentry>
 
+      <varlistentry id="libpsx">
+        <term><filename class="libraryfile">libpsx</filename></term>
+        <listitem>
+          <para>Contains functions to support POSIX semantics for syscalls
+          associated with the pthread library</para>
+          <indexterm zone="ch-system-libcap libpsx">
+            <primary sortas="c-libpsx">libpsx</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 
Index: chapter06/meson.xml
===================================================================
--- chapter06/meson.xml	(revision 96971352a8096fbb6c08d276fba644116d121cf7)
+++ chapter06/meson.xml	(revision 9382de30562bded1227c4d75a6bea2ad3b6e1756)
@@ -40,9 +40,9 @@
   <sect2 role="installation">
     <title>Installation of Meson</title>
-
+<!--
     <para>Apply a fix from upstream to fix a regression:</para>
 
 <screen><userinput remap="pre">sed -i "s@isfile(a)@&amp; and not a.startswith('/dev')@" mesonbuild/interpreter.py</userinput></screen>
-
+-->
     <para>Compile Meson with the following command:</para>
 
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 96971352a8096fbb6c08d276fba644116d121cf7)
+++ chapter06/systemd.xml	(revision 9382de30562bded1227c4d75a6bea2ad3b6e1756)
@@ -52,5 +52,5 @@
 
     <para>Because we have not yet installed the final version of Util-Linux,
-    create links to the libraries in the approprite location:</para>
+    create links to the libraries in the appropriate location:</para>
 
 <screen><userinput remap="pre">for file in /tools/lib/lib{blkid,mount,uuid}.so*; do
Index: general.ent
===================================================================
--- general.ent	(revision 96971352a8096fbb6c08d276fba644116d121cf7)
+++ general.ent	(revision 9382de30562bded1227c4d75a6bea2ad3b6e1756)
@@ -1,14 +1,14 @@
-<!ENTITY version         "SVN-20191222">
+<!ENTITY version         "SVN-20200109">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20191222-systemd">
+<!ENTITY versiond        "20200109-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 22nd, 2019">
+<!ENTITY releasedate     "January 9th, 2020">
 
-<!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
+<!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "9.0">
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 96971352a8096fbb6c08d276fba644116d121cf7)
+++ packages.ent	(revision 9382de30562bded1227c4d75a6bea2ad3b6e1756)
@@ -11,5 +11,5 @@
 <!ENTITY acl-url "&savannah;/releases/acl/acl-&acl-version;.tar.gz">
 <!ENTITY acl-md5 "007aabf1dbb550bcddde52a244cd1070">
-<!ENTITY acl-home " ">
+<!ENTITY acl-home "&savannah-nongnu;/projects/acl">
 <!ENTITY acl-ch6-du "6.4 MB">
 <!ENTITY acl-ch6-sbu "0.1 SBU">
@@ -145,8 +145,8 @@
 <!ENTITY diffutils-ch6-sbu "0.4 SBU">
 
-<!ENTITY e2fsprogs-version "1.45.4">
-<!ENTITY e2fsprogs-size "7,746 KB">
+<!ENTITY e2fsprogs-version "1.45.5">
+<!ENTITY e2fsprogs-size "7,753 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "2c2f9d4bcd0be54b3b3b8d5feec7b0ff">
+<!ENTITY e2fsprogs-md5 "6d35428e4ce960cb7e875afe5849c0f3">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "108 MB">
@@ -290,8 +290,8 @@
 <!ENTITY gperf-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "3.3">
-<!ENTITY grep-size "1,440 KB">
+<!ENTITY grep-version "3.4">
+<!ENTITY grep-size "1,520 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "05d0718a1b7cc706a4bdf8115363f1ed">
+<!ENTITY grep-md5 "111b117d22d6a7d049d6ae7505e9c4d2">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-ch5-du "24 MB">
@@ -398,10 +398,10 @@
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.28">
-<!ENTITY libcap-size "93 KB">
+<!ENTITY libcap-version "2.30">
+<!ENTITY libcap-size "96 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "4066ddca53fb7e146f98372c8e43afc4">
+<!ENTITY libcap-md5 "ea531f37a30a61dce8bf8544537a46e3">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
-<!ENTITY libcap-ch6-du "1.5 MB">
+<!ENTITY libcap-ch6-du "8.5 MB">
 <!ENTITY libcap-ch6-sbu "less than 0.1 SBU">
 
@@ -414,8 +414,8 @@
 <!ENTITY libffi-ch6-sbu "0.4 SBU">
 
-<!ENTITY libpipeline-version "1.5.1">
-<!ENTITY libpipeline-size "965 KB">
+<!ENTITY libpipeline-version "1.5.2">
+<!ENTITY libpipeline-size "971 KB">
 <!ENTITY libpipeline-url "&savannah;/releases/libpipeline/libpipeline-&libpipeline-version;.tar.gz">
-<!ENTITY libpipeline-md5 "4c8fe6cd85422baafd6e060f896c61bc">
+<!ENTITY libpipeline-md5 "169de4cc1f6f7f7d430a5bed858b2fd3">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
 <!ENTITY libpipeline-ch6-du "9.0 MB">
@@ -432,10 +432,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "4">
-<!ENTITY linux-patch-version "6">
+<!ENTITY linux-patch-version "8">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "106,889 KB">
+<!ENTITY linux-size "106,892 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "d77c45902ea8cdbbffed46ae92ae5ec8">
+<!ENTITY linux-md5 "2f44c832e1d59ebe766731f9c215aca6">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -494,8 +494,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.52.1">
-<!ENTITY meson-size "1,473 KB">
+<!ENTITY meson-version "0.53.0">
+<!ENTITY meson-size "1,512 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "a5f0c99567d772508f649a28ded7f8ad">
+<!ENTITY meson-md5 "3a0313d040ded973d84cbec368c2e1d3">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "28 MB">
@@ -601,7 +601,7 @@
 <!ENTITY python-ch6-du "399 MB">
 <!ENTITY python-ch6-sbu "1.3 SBU">
-<!ENTITY python-docs-url "https://docs.python.org/3/archives/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "f0a1899d5cecee5a3ba507878040bd86">
-<!ENTITY python-docs-size "6,429 KB">
+<!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
+<!ENTITY python-docs-md5 "edc8c97f9680373fcc1dd952f0ea7fcc">
+<!ENTITY python-docs-size "6,374 KB">
 
 <!ENTITY readline-version "8.0">