Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision fc54d2e79153fbe8e9caf3ff48c3955c0116d82b)
+++ chapter01/changelog.xml	(revision 9742edf14755e42ecbfab6b837817508c56c4411)
@@ -44,4 +44,18 @@
 -->
     <listitem>
+      <para>2017-01-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to flex-2.6.3. Fixes
+          <ulink url="&lfs-ticket-root;4020">#4020</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xz-5.2.3. Fixes
+          <ulink url="&lfs-ticket-root;4021">#4021</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2016-12-21</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision fc54d2e79153fbe8e9caf3ff48c3955c0116d82b)
+++ chapter01/whatsnew.xml	(revision 9742edf14755e42ecbfab6b837817508c56c4411)
@@ -231,7 +231,7 @@
       <para>XML-Parser-&xml-parser-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>XZ-Utils &xz-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Zlib &zlib-version;</para>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision fc54d2e79153fbe8e9caf3ff48c3955c0116d82b)
+++ chapter03/patches.xml	(revision 9742edf14755e42ecbfab6b837817508c56c4411)
@@ -50,5 +50,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry>
       <term>Flex Fixes Patch - <token>&flex-fixes-patch-size;</token>:</term>
@@ -58,5 +58,5 @@
       </listitem>
     </varlistentry>
-<!--
+
     <varlistentry>
       <term>Gccc ASAN Patch - <token>&gcc-asan-patch-size;</token>:</term>
Index: chapter06/flex.xml
===================================================================
--- chapter06/flex.xml	(revision fc54d2e79153fbe8e9caf3ff48c3955c0116d82b)
+++ chapter06/flex.xml	(revision 9742edf14755e42ecbfab6b837817508c56c4411)
@@ -41,9 +41,4 @@
   <sect2 role="installation">
     <title>Installation of Flex</title>
-
-    <para>Fix an issue that was discovered after release:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&flex-fixes-patch; &amp;&amp;
-touch src/scan.*</userinput></screen>
 
     <para>The build procedure assumes the <application>help2man</application>
Index: chapter06/xz.xml
===================================================================
--- chapter06/xz.xml	(revision fc54d2e79153fbe8e9caf3ff48c3955c0116d82b)
+++ chapter06/xz.xml	(revision 9742edf14755e42ecbfab6b837817508c56c4411)
@@ -44,11 +44,4 @@
   <sect2 role="installation">
     <title>Installation of Xz</title>
-
-    <para>First, fix an internal problem:</para>
-
-<screen><userinput remap="pre">sed -e '/mf\.buffer = NULL/a next->coder->mf.size = 0;' \
-     -i src/liblzma/lz/lz_encoder.c</userinput></screen>
-
-
 
     <para>Prepare Xz for compilation with:</para>
Index: general.ent
===================================================================
--- general.ent	(revision fc54d2e79153fbe8e9caf3ff48c3955c0116d82b)
+++ general.ent	(revision 9742edf14755e42ecbfab6b837817508c56c4411)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20161221">
+<!ENTITY version         "SVN-20170101">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20161221-systemd">
+<!ENTITY versiond        "20170101-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 21, 2016">
+<!ENTITY releasedate     "January 1, 2016">
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.11">
Index: packages.ent
===================================================================
--- packages.ent	(revision fc54d2e79153fbe8e9caf3ff48c3955c0116d82b)
+++ packages.ent	(revision 9742edf14755e42ecbfab6b837817508c56c4411)
@@ -188,8 +188,8 @@
 <!ENTITY findutils-ch6-sbu "1.6 SBU">
 
-<!ENTITY flex-version "2.6.2">
-<!ENTITY flex-size "1,370 KB">
+<!ENTITY flex-version "2.6.3">
+<!ENTITY flex-size "1,373 KB">
 <!ENTITY flex-url "https://github.com/westes/flex/releases/download/v&flex-version;/flex-&flex-version;.tar.gz">
-<!ENTITY flex-md5 "cc6d76c333db7653d5caf423a3335239">
+<!ENTITY flex-md5 "a5f65570cd9107ec8a8ec88f17b31bb1">
 <!ENTITY flex-home "http://flex.sourceforge.net">
 <!ENTITY flex-ch6-du "31 MB">
@@ -633,8 +633,8 @@
 <!ENTITY xml-parser-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.2.2">
-<!ENTITY xz-size "993 KB">
+<!ENTITY xz-version "5.2.3">
+<!ENTITY xz-size "1009 KB">
 <!ENTITY xz-url "http://tukaani.org/xz/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "e26772b69940085c0632589ab1d52e64">
+<!ENTITY xz-md5 "60fb79cab777e3f71ca43d298adacbd5">
 <!ENTITY xz-home "http://tukaani.org/xz">
 <!ENTITY xz-ch5-du "16 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision fc54d2e79153fbe8e9caf3ff48c3955c0116d82b)
+++ patches.ent	(revision 9742edf14755e42ecbfab6b837817508c56c4411)
@@ -15,9 +15,9 @@
 <!ENTITY coreutils-i18n-patch-size "168 KB">
 
+<!--
 <!ENTITY flex-fixes-patch "flex-&flex-version;-fixes-1.patch">
 <!ENTITY flex-fixes-patch-md5 "ab07c395c5c96839f4fbc7801ed4cf73">
 <!ENTITY flex-fixes-patch-size "200 KB">
 
-<!--
 <!ENTITY gcc-asan-patch "gcc-&gcc-version;-asan-1.patch">
 <!ENTITY gcc-asan-patch-md5 "c12ab2e323010fda83bfccc27f58f0b5">